<?php

session_start();

if (isset($_SESSION['login'])) {

	include_once 'model/conexao.class.php';
	include_once 'model/cliente.class.php';

	$cliente = new Cliente();


?>

	<!DOCTYPE html>
	<html lang="pt-br">

	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<!-- Favicon -->
		<link rel="shortcut icon" href="assets/img/icon.jpg">
		<title>INTRANET MBM - Buscar Cliente</title>
		<!-- Bootstrap 4 -->
		<link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
		<!-- CSS da INDEX -->
		<link rel="stylesheet" href="assets/css/index.css">
		<!-- GoogleFonts - OpenSans -->
		<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
		<!-- Fontawesome 5.0-->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
		<!-- Filtrar tabela -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>
		<script src="assets/js/sorttable.js"></script>

	</head>

	<body>

		<div class="d-flex">
			<nav class="sidebar">
				<ul class="list-unstyled">

					<!-- Image of Company -->

					<div class="image_company">
						<a href="index.php">
							<img src="assets/img/logo.png">
						</a>
					</div><br><br>

					<span class="text-center logo">
						ADMINISTRATIVO
					</span>
					<hr>

					<!-- End Img -->

					<!-- List of Menu and Icons -->

					<li><a href="index.php"><i class="fa fa-home"></i> Início</a></li>

					<li><a href="listarOrcamento.php"><i class="far fa-calendar-check"></i> Orçamento</a></li>

					<li><a href="ordemServico.php"><i class="fas fa-concierge-bell"></i></i> Ordem de Serviço</a></li>

					<li><a href="listarContratos.php"><i class="far fa-newspaper"></i> Contratos</a></li>

					<li><a href="buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

					<li><a href="buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

					<li><a href="admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

					<!-- Button of Logoff -->

					<li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

					<!-- End - Button of Logoff -->

				</ul>
			</nav>

			<!-- End of Menu -->
			<?php include 'error.php'; ?>
			<div class="content p-1">
				<div class="list-group-item" style="background-color: #eaeef3">

					<h2 class="text-center"> Buscar Cliente <i class="fas fa-user"></i></h2><br><br>

					<input id="myInput" type="text" placeholder="Pesquisar Cliente..">
					<a href="listar_cliente.php" role="button" class="btn btn-success" id="btnNovaOrdem">Cadastrar Novo Cliente</a>

					<!-- Script para filtrar a pesquisa -->
					<script>
						$(document).ready(function() {
							$("#myInput").on("keyup", function() {
								var value = $(this).val().toLowerCase();
								$("#myTable tr").filter(function() {
									$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
								});
							});
						});
					</script>
					<!-- Fim do script para filtrar a pesquisa -->

					<!-- Iniciando a Tabela -->

					<div class="table table-hover table-wrapper-scroll-y my-custom-scrollbar">

						<table class="table table-bordered table-striped mb-0 sortable">

							<thead class="thead">
								<tr>
									<th>ID</th>
									<th>RAZÃO SOCIAL</th>
									<th>TELEFONE PRINCIPAL</th>
									<th>CELULAR PRINCIPAL</th>
									<th>E-MAIL</th>
									<th>AÇÃO</th>

								</tr>
							</thead>

							<tbody id="myTable">

								<?php foreach ($cliente->listaCLiente() as $listacliente) : ?>
									<tr class="tr">
										<td><?php echo $listacliente['idCliente']; ?></td>
										<td><?php echo $listacliente['nomeCliente']; ?></td>
										<td><?php echo $listacliente['telefone1']; ?></td>
										<td><?php echo $listacliente['celular1']; ?></td>
										<td><?php echo $listacliente['emailCliente']; ?></td>

										<!-- Formulario para Transação -->
										<td>

											<!-- Botão para Transação -->

											<form method="POST" action="view/add_transacao_buscar_cliente.php">
												<input type="hidden" name="idcliente" value="<?= $listacliente['idCliente'] ?>">

												<!-- Botão para alterar -->

												<button class="btn btn-primary"><i class="fas fa-search-plus"></i></button>

												<!-- Fim - Botão -->

											</form>

										</td>
										<!-- Fim Formulario -->

									</tr>
								<?php endforeach; ?>
							</tbody>
						</table>
					</div>

					<!-- Fim da Tabela -->

				</div>
			</div>
		</div>


	</body>

	</html>

<?php

} else {
	header("Location: login.php?access_denied");
}

?>