<?php

session_start();

if (isset($_SESSION['login'])) {

	include_once "model/conexao.class.php";
	include_once "model/produto.class.php";

	$produto = new Produto();

?>

	<!DOCTYPE html>
	<html lang="pt-br">

	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<!-- Favicon -->
		<link rel="shortcut icon" href="assets/img/icon.jpg">
		<title>INTRANET MBM - Buscar Produto</title>
		<!-- Bootstrap 4 -->
		<link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
		<!-- CSS da INDEX -->
		<link rel="stylesheet" href="assets/css/index.css">
		<!-- GoogleFonts - OpenSans -->
		<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
		<!-- Fontawesome 5.0-->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
		<!-- Filtrar tabela -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>

	</head>

	<body>

		<div class="d-flex">
			<nav class="sidebar">
				<ul class="list-unstyled">

					<!-- Image of Company -->

					<div class="image_company">
						<a href="index.php">
							<img src="assets/img/logo.png">
						</a>
					</div><br><br>

					<span class="text-center logo">
						ADMINISTRATIVO
					</span>
					<hr>

					<!-- End Img -->

					<!-- List of Menu and Icons -->

					<li><a href="index.php"><i class="fa fa-home"></i> Início</a></li>

					<li><a href="listarOrcamento.php"><i class="far fa-calendar-check"></i> Orçamento</a></li>

					<li><a href="ordemServico.php"><i class="fas fa-concierge-bell"></i></i> Ordem de Serviço</a></li>

					<li><a href="listarContratos.php"><i class="far fa-newspaper"></i> Contratos</a></li>

					<li><a href="buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

					<li><a href="buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

					<li><a href="admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

					<!-- Button of Logoff -->

					<li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

					<!-- End - Button of Logoff -->

				</ul>
			</nav>

			<!-- End of Menu -->
			<?php include 'error.php'; ?>
			<div class="content p-1">
				<div class="list-group-item" style="background-color: #eaeef3">

					<div class="mr-auto p-2">
						<h2 class="text-center"> Buscar Produto <i class="fas fa-dolly-flatbed"></i></h2>
					</div>
					<hr/>
					<!-- Script para filtrar a pesquisa -->
					<script>
						$(document).ready(function() {
							$("#myInput").on("keyup", function() {
								var value = $(this).val().toLowerCase();
								$("#myTable tr").filter(function() {
									$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
								});
							});
						});
					</script>
					<!-- Fim do script para filtrar a pesquisa -->
					<input id="myInput" type="text" placeholder="Pesquisar..">
					<a href="listarProduto.php" role="button" class="btn btn-success" id="btnNovaOrdem">Cadastrar Novo Produto</a>
					<br>
					<!-- Iniciando a Tabela -->

					<div class="table table-hover table-wrapper-scroll-y my-custom-scrollbar">

						<table class="table table-bordered table-striped mb-0 sortable">

							<thead class="thead">
								<tr>
									<th>ID</th>
									<th>DESCRIÇÃO</th>
									<th>QUANTIDADE</th>
									<th>LOTE</th>
								</tr>
							</thead>

							<tbody id="myTable">

								<?php foreach ($produto->listaProduto() as $listaproduto) : ?>
									<tr class="tr">
										<td><?php echo $listaproduto['idProduto']; ?></td>
										<td><?php echo $listaproduto['descricao']; ?></td>
										<td><?php echo $listaproduto['qtdInicial']; ?></td>
										<td><?php echo $listaproduto['lote']; ?></td>
										<!-- Formulario para Transação -->
										<!-- Fim Formulario -->

									</tr>
								<?php endforeach; ?>
							</tbody>
						</table>
					</div>


					<!-- Fim da Tabela -->
				</div>
			</div>
			<!-- End of Template - Marcos  -->

	</body>

	</html>

<?php

} else {
	header("Location: login.php?access_denied");
}

?>