<?php

session_start();

if (isset($_SESSION['login'])) {

	include_once 'model/conexao.class.php';
	include_once 'model/os.class.php';

	$os = new Os();


?>

	<!DOCTYPE html>
	<html lang="pt-br">

	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<!-- Favicon -->
		<link rel="shortcut icon" href="assets/img/icon.jpg">
		<title>INTRANET MBM - Home</title>
		<!-- Bootstrap 4 -->
		<link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
		<!-- CSS da INDEX -->
		<link rel="stylesheet" href="assets/css/index.css">
		<!-- GoogleFonts - OpenSans -->
		<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
		<!-- Fontawesome 5.0-->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
		<!-- Filtrar tabela -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
		<script src="assets/js/sorttable.js"></script>
		<link rel="stylesheet" type="text/css" href="https://cdn.datatables.net/1.10.25/css/jquery.dataTables.css">
		<script type="text/javascript" charset="utf8" src="https://cdn.datatables.net/1.10.25/js/jquery.dataTables.js"></script>

	</head>

	<body>

		<script>
			$(document).ready(function() {
				$('#example').DataTable({
					stateSave: true,
					pageLength: 100
				});
			});
		</script>

		<!-- Init of Template -  -->

		<div class="d-flex ">
			<nav class="sidebar">
				<ul class="list-unstyled">

					<!-- Image of Company -->

					<div class="image_company">
						<a href="index.php">
							<img src="assets/img/logo.png">
						</a>
					</div><br><br>
					<span class="text-center logo">
						ADMINISTRATIVO
					</span>
					<hr>

					<!-- End Img -->

					<!-- List of Menu and Icons -->

					<li><a href="index.php"><i class="fa fa-home"></i> Início</a></li>

					<li><a href="listarOrcamento.php"><i class="far fa-calendar-check"></i> Orçamento</a></li>

					<li><a href="ordemServico.php"><i class="fas fa-concierge-bell"></i></i> Ordem de Serviço</a></li>

					<li><a href="listarContratos.php"><i class="far fa-newspaper"></i> Contratos</a></li>

					<li><a href="buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

					<li><a href="buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

					<li><a href="admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

					<!-- Button of Logoff -->

					<li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

					<!-- End - Button of Logoff -->

				</ul>
			</nav>
			<!-- End of Menu -->

			<?php include 'error.php'; ?>

			<div class="content p-1">
				<div class="list-group-item" style="background-color: #eaeef3">
					<div class="mr-auto p-2">
						<h2 class="text-center"> Listagem - Ordem de Serviço > Geral <i class="fas fa-file-alt"></i></h2>
						<hr />
					</div>

					<div class="container-fluid content-row">
						<div class="row h-100 justify-content-center align-items-center">
							<div class="col-sm-3 ">
								<div class=" card bg-c-blue update-card">
									<div class="card-body text-center">
										<h3 class="text-white"> <b><?php echo count($os->listaOsAberta()) ?></b></h3>
									</div>
									<div class="card-footer text-center">
										<p class="text-white ">ORDEM DE SERVIÇO - ABERTAS</p>
									</div>
								</div>
							</div>
							<div class="col-sm-3 ">
								<div class="card bg-c-yellow update-card">
									<div class="card-body text-center">
										<h3 class="text-white"> <b><?php echo count($os->listaOsRetrabalho()) ?></b></h3>
									</div>
									<div class="card-footer text-center">
										<p class="text-white ">ORDEM DE SERVIÇO - RETRABALHO</p>
									</div>
								</div>
							</div>
							<div class="col-sm-3 ">
								<div class="card bg-c-green update-card">
									<div class="card-body text-center">
										<h3 class="text-white"> <b><?php echo count($os->listaOsConcluida()) ?></b></h3>
									</div>
									<div class="card-footer text-center">
										<p class="text-white ">ORDEM DE SERVIÇO - CONCLUÍDAS</p>
									</div>
								</div>
							</div>
						</div>
					</div>
					<p></p>

					<!-- Script para filtrar - Botão Pesquisar -->
					<script>
						$(document).ready(function() {
							$("#myInput3").on("keyup", function() {
								var value = $(this).val().toLowerCase();
								$("#myTable tr").filter(function() {
									$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
								});
							});
						});
					</script>

					<script>
						$(document).ready(function() {
							$("#myInput4").on("keyup", function() {
								var value = $(this).val().toLowerCase();
								$("#myTable tr").filter(function() {
									$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
								});
							});
						});
					</script>
					<!-- Fim do script para filtrar a pesquisa -->
					<hr />
					<form method="post" action="export_os.php">
						<div class="row h-100 justify-content-center align-items-center">
							<div class="col">
								<a href="ordemServico.php" role="button" class="btn btn-success form_jquery_inserir">Nova Ordem de Serviço</a>
								<input type="submit" name="export_os" value="Exportar CSV" class="btn btn-primary" />
							</div>
						</div>
					</form>

					<br />

					<!-- Iniciando a Tabela -->



					<div class="table table-hover table-wrapper-scroll-y my-custom-scrollbar">
						<table class="table table-bordered sortable" id="example" class="display">

							<thead class="thead">
								<tr>
									<th>ID</th>
									<th>CLIENTE</th>
									<th>SERVICO</th>
									<th>TÉCNICO</th>
									<th>DATA</th>
									<th>STATUS</th>
								</tr>
							</thead>

							<tbody id="myTable">

								<?php foreach ($os->listaOsGeral() as $CarregaOs) : ?>
									<tr class="tr">

										<td><?php echo $CarregaOs['fantasia']; ?></td>
										<td><?php echo $CarregaOs['servico1']; ?></td>
										<td><?php echo $CarregaOs['tecnico']; ?></td>
										<td><?php echo $CarregaOs['data_os']; ?></td>
										<td id="novoStatus"><?php echo $CarregaOs['status_os']; ?></td>

										<!-- Formulario para Transação -->

										<form method="POST" action="view/add_transacao_os.php">
											<input type="hidden" name="envia_Os" value="<?= $CarregaOs['os'] ?>">
											<input type="hidden" name="envia_cliente_id" value="<?= $CarregaOs['cliente'] ?>">
											<!-- Botão para editar -->
											<td width="60">

												<!-- Formulario para Transação -->

												<!-- Botão para editar -->

												<button class="btn btn-warning" title="Alterar Ordem de Serviço">
													<i class="far fa-edit"></i>
												</button>
												<!-- Fim - Botão -->
										</form>
										</td>
										<!-- Fim Formulario -->

									</tr>
								<?php endforeach; ?>

							</tbody>

						</table>

						<!-- Fim da Tabela -->
					</div>

				</div>

			</div>

		</div>

	</body>

	</html>

<?php

} else {
	header("Location: login.php?access_denied");
}

?>