<?php

session_start();

if (isset($_SESSION['login'])) {

	include_once 'model/conexao.class.php';
	include_once 'model/contrato.class.php';

	$contrato = new Contrato();

?>

	<!DOCTYPE html>
	<html lang="pt-br">

	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<!-- Favicon -->
		<link rel="shortcut icon" href="assets/img/icon.jpg">
		<title>INTRANET MBM - Gestão de Contratos</title>
		<!-- Bootstrap 4 -->
		<link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
		<!-- CSS da INDEX -->
		<link rel="stylesheet" href="assets/css/index.css">
		<!-- GoogleFonts - OpenSans -->
		<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
		<!-- Fontawesome 5.0-->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
		<!-- Filtrar tabela -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
		<script src="assets/js/sorttable.js"></script>
	</head>

	<body>
		<!-- Init of Template -  -->

		<div class="d-flex ">
			<nav class="sidebar">
				<ul class="list-unstyled">

					<!-- Image of Company -->

					<div class="image_company">
						<a href="index.php">
							<img src="assets/img/logo.png">
						</a>
					</div><br><br>

					<span class="text-center logo">
						ADMINISTRATIVO
					</span>
					<hr>

					<!-- End Img -->

					<!-- List of Menu and Icons -->

					<li><a href="index.php"><i class="fa fa-home"></i> Início</a></li>

					<li><a href="listarOrcamento.php"><i class="far fa-calendar-check"></i> Orçamento</a></li>

					<li><a href="ordemServico.php"><i class="fas fa-concierge-bell"></i></i> Ordem de Serviço</a></li>

					<li><a href="listarContratos.php"><i class="far fa-newspaper"></i> Contratos</a></li>

					<li><a href="buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

					<li><a href="buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

					<li><a href="admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

					<!-- Button of Logoff -->

					<li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

					<!-- End - Button of Logoff -->

				</ul>
			</nav>
			<!-- End of Menu -->

			<?php include 'error.php'; ?>

			<div class="content p-1">
				<div class="list-group-item" style="background-color: #eaeef3">
					<div class="mr-auto p-2">
						<h2 class="text-center"> Gestão de Contratos <i class="far fa-newspaper"></i></h2>
						<hr />
					</div>

					<!-- DIV com o total de contrato ativos
					<div class="container-fluid content-row">
						<div class="row h-100 justify-content-center align-items-center">
							<div class="col-sm-3 ">
								<div class=" card bg-c-green update-card">
									<div class="card-body text-center">
										<h3 class="text-white"> <b><?php echo ($sum) ?></b></h3>
									</div>
									<div class="card-footer text-center">
										<p class="text-white ">CONTRATOS - ATIVOS</p>
									</div>
								</div>
							</div>
						</div>
					</div>
					Fim da DIV -->
					<p></p>

					<!-- Script para filtrar - Botão Pesquisar -->
					<script>
						$(document).ready(function() {
							$("#myInput").on("keyup", function() {
								var value = $(this).val().toLowerCase();
								$("#myTable tr").filter(function() {
									$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
								});
							});
						});
					</script>
					<!-- Fim do script para filtrar a pesquisa -->

					<input id="myInput" type="text" placeholder="Pesquisar..">
					<a href="contrato.php" role="button" class="btn btn-success form_jquery_inserir" id="btnNovaOrdem">Novo Contrato de Serviço</a>

					<!-- Iniciando a Tabela -->

					<div class="table table-hover table-wrapper-scroll-y my-custom-scrollbar">
						<table class="table table-bordered table-striped mb-0 sortable">

							<thead class="thead">
								<tr>
									<th scope="col">ID</th>
									<th scope="col">CLIENTE</th>
									<th scope="col">PERIODICIDADE</th>
									<th scope="col">VALOR MENSAL</th>
									<th scope="col">DATA ATIVAÇÃO</th>
									<th scope="col">STATUS</th>
									<th scope="col">AÇÕES</th>
								</tr>
							</thead>

							<tbody id="myTable">

								<?php foreach ($contrato->listarContrato() as $CarregaContrato) : ?>
									<tr class="tr">

										<td><?php echo $CarregaContrato['idContrato']; ?></td>
										<td><?php echo $CarregaContrato['clienteContrato']; ?></td>
										<td><?php echo $CarregaContrato['periodicidadeContrato']; ?></td>
										<td><?php echo $CarregaContrato['valorContrato']; ?></td>
										<td><?php echo $CarregaContrato['dataContrato']; ?></td>
										<td id="novoStatus"><?php echo $CarregaContrato['statusContrato']; ?></td>

										<!-- Formulario para Transação -->

										<form method="POST" action="view/add_transacao_contrato.php">
											<input type="hidden" name="envia_contrato" value="<?= $CarregaContrato['idContrato'] ?>">
											<input type="hidden" name="envia_contrato_id" value="<?= $CarregaContrato['clienteContrato'] ?>">
											<!-- Botão para editar -->
											<td width="60">

												<!-- Formulario para Transação -->

												<!-- Botão para editar -->

												<button class="btn btn-warning" title="Alterar Contrato de Serviço">
													<i class="far fa-edit"></i>
												</button>

												<!-- Fim - Botão -->

										</form>
										</td>
										<!-- Fim Formulario -->

									</tr>
								<?php endforeach; ?>

							</tbody>

						</table>

						<!-- Fim da Tabela -->
					</div>

				</div>

			</div>

		</div>

	</body>

	</html>

<?php

} else {
	header("Location: login.php?access_denied");
}

?>