<?php

session_start();

if (isset($_SESSION['login'])) {

	include_once 'model/conexao.class.php';
	include_once 'model/orcamento.class.php';

	$orcamento = new Orcamento();


?>

	<!DOCTYPE html>
	<html lang="pt-br">

	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<!-- Favicon -->
		<link rel="shortcut icon" href="assets/img/icon.jpg">
		<title>INTRANET MBM - Home</title>
		<!-- Bootstrap 4 -->
		<link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
		<!-- CSS da INDEX -->
		<link rel="stylesheet" href="assets/css/index.css">
		<!-- GoogleFonts - OpenSans -->
		<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
		<!-- Fontawesome 5.0-->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
		<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
		<!-- Filtrar tabela -->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
		<script src="assets/js/sorttable.js"></script>
	</head>

	<body>
		<!-- Init of Template -  -->

		<div class="d-flex ">
			<nav class="sidebar">
				<ul class="list-unstyled">

					<!-- Image of Company -->

					<div class="image_company">
						<a href="index.php">
							<img src="assets/img/logo.png">
						</a>
					</div><br><br>

					<span class="text-center logo">
						ADMINISTRATIVO
					</span>
					<hr>

					<!-- End Img -->

					<!-- List of Menu and Icons -->

					<li><a href="index.php"><i class="fa fa-home"></i> Início</a></li>

					<li><a href="listarOrcamento.php"><i class="far fa-calendar-check"></i> Orçamento</a></li>

					<li><a href="ordemServico.php"><i class="fas fa-concierge-bell"></i></i> Ordem de Serviço</a></li>

					<li><a href="listarContratos.php"><i class="far fa-newspaper"></i> Contratos</a></li>

					<li><a href="buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

					<li><a href="buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

					<li><a href="admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

					<!-- Button of Logoff -->

					<li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

					<!-- End - Button of Logoff -->

				</ul>
			</nav>
			<!-- End of Menu -->

			<?php include 'error.php'; ?>

			<div class="content p-1">
				<div class="list-group-item" style="background-color: #eaeef3">
					<div class="mr-auto p-2">
						<h2 class="text-center"> Listagem - Orçamentos <i class="fas fa-file-alt"></i></h2>
						<hr />
					</div>
					<p></p>

					<!-- Script para filtrar - Botão Pesquisar -->
					<script>
						$(document).ready(function() {
							$("#myInput3").on("keyup", function() {
								var value = $(this).val().toLowerCase();
								$("#myTable tr").filter(function() {
									$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
								});
							});
						});
					</script>

					<script>
						$(document).ready(function() {
							$("#myInput4").on("keyup", function() {
								var value = $(this).val().toLowerCase();
								$("#myTable tr").filter(function() {
									$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
								});
							});
						});
					</script>
					<!-- Fim do script para filtrar a pesquisa -->

					<form method="post" action="export_orcamento.php">
						<div class="row h-100 justify-content-center align-items-center">
							<div class="col">
								<input id="myInput3" type="text" class="form-control" placeholder="Filtro 1.." />
							</div>
							<div class="col">
								<input id="myInput4" type="text" class="form-control" placeholder="Filtro 2.." />
							</div>
							<div class="col">
							<a href="novoOrcamento.php" role="button" class="btn btn-success form_jquery_inserir">Novo Orçamento</a>
								<input type="submit" name="export_orcamento" value="Exportar CSV" class="btn btn-primary" />
							</div>
						</div>
					</form>	
					<p>				

					<!-- Iniciando a Tabela -->

					<div class="table table-hover table-wrapper-scroll-y my-custom-scrollbar">
						<table class="table table-bordered table-striped mb-0 sortable">

							<thead class="thead">
								<tr>
									<th scope="col">ID</th>
									<th scope="col">CLIENTE</th>
									<th scope="col">SERVICO</th>
									<th scope="col">TÉCNICO</th>
									<th scope="col">DATA</th>
									<th scope="col">STATUS</th>
									<th scope="col">AÇÕES</th>
								</tr>
							</thead>

							<tbody id="myTable">

								<?php foreach ($orcamento->listarOrcamento() as $carregaOrcamento) : ?>
									<tr class="tr">

										<td><?php echo $carregaOrcamento['idOrcamento']; ?></td>
										<td><?php echo $carregaOrcamento['clienteOrcamento']; ?></td>
										<td><?php echo $carregaOrcamento['servicoOrcamento']; ?></td>
										<td><?php echo $carregaOrcamento['tecnicoOrcamento']; ?></td>
										<td><?php echo $carregaOrcamento['dataOrcamento']; ?></td>
										<td id="novoStatus"><?php echo $carregaOrcamento['statusOrcamento']; ?></td>

										<!-- Formulario para Transação -->

										<form method="POST" action="view/add_transacao_orcamento.php">
											<input type="hidden" name="envia_Orcamento" value="<?= $carregaOrcamento['idOrcamento'] ?>">
											<input type="hidden" name="envia_cliente_id" value="<?= $carregaOrcamento['clienteOrcamento'] ?>">
											<!-- Botão para editar -->
											<td width="60">

												<!-- Formulario para Transação -->

												<!-- Botão para editar -->

												<button class="btn btn-warning" title="Alterar Ordem de Serviço">
													<i class="far fa-edit"></i>
												</button>

												<!-- Fim - Botão -->

										</form>
										</td>
										<!-- Fim Formulario -->

									</tr>
								<?php endforeach; ?>

							</tbody>

						</table>

						<!-- Fim da Tabela -->
					</div>

				</div>

			</div>

		</div>

	</body>

	</html>

<?php

} else {
	header("Location: login.php?access_denied");
}

?>