<?php

class Cliente extends Conexao{

    //Método para listar clientes

    public function listaCLiente(){
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM cliente";
        $sql = $pdo->prepare($sql);
        $sql->execute();
        if($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    //Método para listar clientes OS

    public function listaCLienteOS(){
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM cliente WHERE nomeCliente = :razao_social";
        $sql = $pdo->prepare($sql);
        $sql->execute();

        if($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }


    //Metodo para inserir cliente

    public function inserirCliente($nomecliente, $fantasia, $endereco, $cnpj, $telefone1, $telefone2, $celular1, $celular2, $emailcliente, $contato){
        $pdo = parent::get_instance();
        $sql = "INSERT INTO cliente (nomeCliente, fantasia, endereco, cnpj, telefone1, telefone2, celular1, celular2, emailCliente, contato) VALUES (:nomecliente, :fantasia, :endereco, :cnpj, :telefone1, :telefone2, :celular1, :celular2, :emailcliente, :contato)";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":nomecliente", $nomecliente);
        $sql->bindValue(":fantasia", $fantasia);
        $sql->bindValue(":endereco", $endereco);
        $sql->bindValue(":cnpj", $cnpj);
        $sql->bindValue(":telefone1", $telefone1);
        $sql->bindValue(":telefone2", $telefone2);
        $sql->bindValue(":celular1", $celular1);
        $sql->bindValue(":celular2", $celular2);
        $sql->bindValue(":emailcliente", $emailcliente);
        $sql->bindValue(":contato", $contato);
        $sql->execute();
    }

    //Metodo para alterar cliente
    public function alterarCliente($idCliente, $nomecliente, $fantasia, $endereco, $cnpj, $telefone1, $telefone2, $celular1, $celular2, $emailcliente, $contato){
        $pdo = parent::get_instance();
        $sql = "UPDATE cliente SET nomeCliente = :nomecliente, fantasia = :fantasia, endereco = :endereco, cnpj = :cnpj, telefone1 = :telefone1, telefone2 = :telefone2, celular1 = :celular1, celular2 = :celular2, emailCliente = :emailcliente, contato = :contato WHERE idCliente = :idCliente";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idCliente", $idCliente);
        $sql->bindValue(":nomecliente", $nomecliente);
        $sql->bindValue(":fantasia", $fantasia);
        $sql->bindValue(":endereco", $endereco);
        $sql->bindValue(":cnpj", $cnpj);
        $sql->bindValue(":telefone1", $telefone1);
        $sql->bindValue(":telefone2", $telefone2);
        $sql->bindValue(":celular1", $celular1);
        $sql->bindValue(":celular2", $celular2);
        $sql->bindValue(":emailcliente", $emailcliente);
        $sql->bindValue(":contato", $contato);
        $sql->execute();     

    }

    //Metodo para excluir cliente
    public function excluirCliente($idcliente){
        $pdo = parent::get_instance();
        $sql = "DELETE FROM cliente WHERE idCliente = :idcliente";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idcliente", $idcliente);
        $sql->execute();     

    }

    // Metodo para pegar ID de cada registro

    public function pegarInfo($idcliente){
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM cliente WHERE idCliente = :idcliente";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idcliente", $idcliente);
        $sql->execute();

        if($sql->rowCount() > 0){
            return $sql->fetchAll();
        }
    }

    public function pegarInfo2($nomeCliente){
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM cliente WHERE nomeCliente = :clienteOrcamento";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":clienteOrcamento", $nomeCliente);
        $sql->execute();

        if($sql->rowCount() > 0){
            return $sql->fetchAll();
        }
    }

}
