<?php

class Contrato extends Conexao
{

    //Método para listar ORCAMENTO de todos os clientes

    public function listarContrato()
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM contrato";
        $sql = $pdo->prepare($sql);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    //Método para listar ORCAMENTO de um cliente específico

    public function listarContratoCliente($clienteContrato)
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM contrato WHERE clienteContrato = :clienteContrato";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":clienteContrato", $clienteContrato);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    public function listaContratoAtivo()
    {
        $pdo = parent::get_instance();
        $sql = "SELECT SUM(valorContrato) FROM contrato WHERE statusContrato = 'ATIVO'";
        $sql = $pdo->prepare($sql);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }


    //Metodo para inserir Contrato

    public function inserirContrato($clienteContrato, $periodicidadeContrato, $valorContrato, $dataContrato, $statusContrato)
    {
        $pdo = parent::get_instance();
        $sql = "INSERT INTO contrato (clienteContrato, periodicidadeContrato, valorContrato, dataContrato, statusContrato) VALUES (:clienteContrato, :periodicidadeContrato, :valorContrato, :dataContrato, :statusContrato)";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":clienteContrato", $clienteContrato);
        $sql->bindValue(":periodicidadeContrato", $periodicidadeContrato);
        $sql->bindValue(":valorContrato", $valorContrato);
        $sql->bindValue(":dataContrato", $dataContrato);
        $sql->bindValue(":statusContrato", $statusContrato);         
        $sql->execute();
    }

    //Metodo para alterar Contrato
    public function alterarContrato($clienteContrato, $periodicidadeContrato, $valorContrato, $dataContrato, $statusContrato)
    {
        $pdo = parent::get_instance();
        $sql = "UPDATE contrato SET clienteContrato = :clienteContrato, periodicidadeContrato = :periodicidadeContrato, valorContrato = :valorContrato, dataContrato = :dataContrato, statusContrato = :statusContrato WHERE clienteContrato = :clienteContrato";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":clienteContrato", $clienteContrato);
        $sql->bindValue(":periodicidadeContrato", $periodicidadeContrato);
        $sql->bindValue(":valorContrato", $valorContrato);
        $sql->bindValue(":dataContrato", $dataContrato);
        $sql->bindValue(":statusContrato", $statusContrato);
        $sql->execute();
    }


    // Metodo para pegar ID de cada orçamento

    public function pegarInfo($Recebe_Contrato)
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM contrato WHERE idContrato = :idContrato";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idContrato", $Recebe_Contrato);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    //Metodo para alterar Status OS
    public function statusContrato($idContrato, $statusContrato)
    {
        $pdo = parent::get_instance();
        $sql = "UPDATE contrato SET statusContrato = :statusContrato WHERE idContrato = :idContrato";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idContrato", $idContrato);
        $sql->bindValue(":statusContrato", $statusContrato);
        $sql->execute();
    }

    //Metodo para excluir contrato
    public function excluirContrato($idContrato){
        $pdo = parent::get_instance();
        $sql = "DELETE FROM contrato WHERE idContrato = :idContrato";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idContrato", $idContrato);
        $sql->execute();
    }

}
