<?php

class Orcamento extends Conexao
{

    //Método para listar ORCAMENTO de todos os clientes

    public function listarOrcamento()
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM orcamento";
        $sql = $pdo->prepare($sql);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    //Método para listar ORCAMENTO de um cliente específico

    public function listarOrcamentoCliente($idcliente)
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM orcamento WHERE clienteOrcamento = :idCliente";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idCliente", $idcliente);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }


    //Metodo para inserir Orcamento

    public function inserirOrcamento($clienteOrcamento, $tecnicoOrcamento, $dataOrcamento, $horarioOrcamento)
    {
        $pdo = parent::get_instance();
        $sql = "INSERT INTO orcamento (clienteOrcamento, tecnicoOrcamento, dataOrcamento, horarioOrcamento) VALUES (:clienteOrcamento, :tecnicoOrcamento, :dataOrcamento, :horarioOrcamento)";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":clienteOrcamento", $clienteOrcamento);
        $sql->bindValue(":tecnicoOrcamento", $tecnicoOrcamento);
        $sql->bindValue(":dataOrcamento", $dataOrcamento);
        $sql->bindValue(":horarioOrcamento", $horarioOrcamento);

        $sql->execute();
    }

    //Metodo para alterar Orçamento
    public function alterarOs($clienteOrcamento, $servicoOrcamento, $tecnicoOrcamento, $dataOrcamento, $aprovacaoOrcamento, $valorOrcamento, $horarioOrcamento)
    {
        $pdo = parent::get_instance();
        $sql = "UPDATE orcamento SET clienteOrcamento = :clienteOrcamento, servicoOrcamento = :servicoOrcamento, tecnicoOrcamento = :tecnicoOrcamento, dataOrcamento = :dataOrcamento, aprovacaoOrcamento = :aprovacaoOrcamento, valorOrcamento = :valorOrcamento, horarioOrcamento = :horarioOrcamento WHERE clienteOrcamento = :clienteOrcamento";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":clienteOrcamento", $clienteOrcamento);
        $sql->bindValue(":servicoOrcamento", $servicoOrcamento);
        $sql->bindValue(":tecnicoOrcamento", $tecnicoOrcamento);
        $sql->bindValue(":dataOrcamento", $dataOrcamento);
        $sql->bindValue(":aprovacaoOrcamento", $aprovacaoOrcamento);
        $sql->bindValue(":valorOrcamento", $valorOrcamento);
        $sql->bindValue(":horarioOrcamento", $horarioOrcamento);
        $sql->execute();
    }


    // Metodo para pegar ID de cada orçamento

    public function pegarInfo($Recebe_Orcamento)
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM orcamento WHERE idOrcamento = :idOrcamento";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idOrcamento", $Recebe_Orcamento);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    //Metodo para alterar Status OS
    public function statusOrcamento($idOrcamento, $statusOrcamento)
    {
        $pdo = parent::get_instance();
        $sql = "UPDATE orcamento SET statusOrcamento = :statusOrcamento WHERE idOrcamento = :idOrcamento";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idOrcamento", $idOrcamento);
        $sql->bindValue(":statusOrcamento", $statusOrcamento);
        $sql->execute();
    }

    //Metodo para excluir orçamento
    public function excluirOrcamento($idOrcamento){
        $pdo = parent::get_instance();
        $sql = "DELETE FROM orcamento WHERE idOrcamento = :idOrcamento";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idOrcamento", $idOrcamento);
        $sql->execute();     

    }

}
