<?php

class Produto extends Conexao
{

    //Método para listar produtos

    public function listaProduto()
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM produto";
        $sql = $pdo->prepare($sql);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }


    //Metodo para inserir produto

    public function inserirProduto($descricao, $qtdInicial, $lote)
    {
        $pdo = parent::get_instance();
        $sql = "INSERT INTO produto (descricao, qtdInicial, lote) VALUES (:descricao, :qtdInicial, :lote)";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":descricao", $descricao);
        $sql->bindValue(":qtdInicial", $qtdInicial);
        $sql->bindValue(":lote", $lote);
        $sql->execute();
    }

    //Metodo para alterar produto
    public function alterarProduto($idProduto, $descricao, $qtdInicial, $lote)
    {
        $pdo = parent::get_instance();
        $sql = "UPDATE produto SET descricao = :descricao, qtdInicial = :qtdInicial, lote = :lote WHERE idProduto = :idProduto";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idProduto", $idProduto);
        $sql->bindValue(":descricao", $descricao);
        $sql->bindValue(":qtdInicial", $qtdInicial);
        $sql->bindValue(":lote", $lote);
        $sql->execute();
    }

    // Metodo para pegar ID de cada registro

    public function pegarInfo($idproduto)
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM produto WHERE idProduto = :idproduto";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":idproduto", $idproduto);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }

    //Metodo para inserir historico produto

    public function inserirHistoricoProduto($descricao, $qtdInicial, $lote, $hisstatus)
    {
        $pdo = parent::get_instance();
        $sql = "INSERT INTO historico_produto (hisprodesc, hisproquant, hisprolote, hisstatus) VALUES (:descricao, :qtdInicial, :lote, :hisstatus)";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":descricao", $descricao);
        $sql->bindValue(":qtdInicial", $qtdInicial);
        $sql->bindValue(":lote", $lote);
        $sql->bindValue(":hisstatus", $hisstatus);
        $sql->execute();
    }

    public function pegarInfoHistorico($hisprodesc)
    {
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM historico_produto WHERE hisprodesc = :descricao";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":descricao", $hisprodesc);
        $sql->execute();

        if ($sql->rowCount() > 0) {
            return $sql->fetchAll();
        }
    }
}
