<?php

class User extends Conexao{


    //Metodo para inserir usuário

    public function inserirUser($email, $senha){
        $pdo = parent::get_instance();
        $sql = "INSERT INTO user (email, senha) VALUES (:email, :senha)";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":email", $email);
        $sql->bindValue(":senha", $senha);
        $sql->execute();
    }

    //Metodo para alterar usuário
    public function alterarUser($id, $email, $senha){
        $pdo = parent::get_instance();
        $sql = "UPDATE user SET email = :email, senha = :senha WHERE id = :id";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":id", $id);
        $sql->bindValue(":email", $email);
        $sql->bindValue(":senha", $senha);
        $sql->execute();     

    }

    //Metodo para excluir usuário
    public function excluirUser($id){
        $pdo = parent::get_instance();
        $sql = "DELETE FROM user WHERE id = :id";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":id", $id);
        $sql->execute();     

    }

    //Método para login

    public function setLogged($email, $senha){
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM user where email = :email AND senha = :senha";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":email", $email);
        $sql->bindValue(":senha", $senha);
        $sql->execute();

        if($sql->rowCount() > 0){
            $sql = $sql->fetch();

            $_SESSION['login'] = $sql['id'];

            header("Location: ../index.php?login_sucess");
            exit;
        } else {
            header("Location: ../login.php?not_login");
        }
    }

    //Metodo para realizar logout

    public function logout(){

        unset($_SESSION['login']);
    }


    public function listaUsuarios(){
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM user ORDER BY id ASC";
        $sql = $pdo->prepare($sql);
        $sql->execute();

        if($sql->rowCount() > 0) {

            return $sql->fetchAll();

        }
    }

    // Metodo para pegar informações de cada registro

    public function pegarInfo($id){
        $pdo = parent::get_instance();
        $sql = "SELECT * FROM user WHERE id = :id";
        $sql = $pdo->prepare($sql);
        $sql->bindValue(":id", $id);
        $sql->execute();

        if($sql->rowCount() > 0){
            return $sql->fetchAll();
        }
    }



}



?>