<?php

session_start();

if (isset($_SESSION['login'])) {

    include_once "model/conexao.class.php";
    include_once "model/cliente.class.php";

    $cliente = new Cliente();

?>

    <!-- Fim - PHP -->

    <!-- HTML -Incluindo Arquivos CSS3, Bootstrap 4, etc -->
    <!DOCTYPE html>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Favicon -->
    <link rel="shortcut icon" href="assets/img/icon.jpg">
    <title>Intranet MBM - Gerenciamento de Cliente</title>
    <!-- Bootstrap 4 -->
    <link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
    <!-- CSS da INDEX -->
    <link rel="stylesheet" href="assets/css/index.css">
    <!-- GoogleFonts - OpenSans -->
    <link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
    <!-- Fontawesome 5.0-->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
    <script src="https://kit.fontawesome.com/01e6cc872a.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.15/jquery.mask.min.js"></script>
    <script type="text/javascript" src="js/jquery.mask.min.js"></script>
    <script src="assets/js/mascara.js"></script> <!-- Máscara dos formulários input-->
    <!-- Filtrar tabela -->
    <script src="assets/js/sorttable.js"></script>
    <!-- Fim - Arquivos -->

    <div class="d-flex">
        <nav class="sidebar">
            <ul class="list-unstyled">

                <!-- Image of Company -->

                <div class="image_company">
                    <a href="index.php">
                        <img src="assets/img/logo.png">
                    </a>
                </div><br><br>

                <span class="text-center logo">
                    INTRANET ITAMARATY
                </span>
                <hr>

                <!-- End Img -->

                <!-- List of Menu and Icons -->

                <li><a href="index.php"><i class="fa fa-home"></i> Início</a></li>

                <li><a href="listarOrcamento.php"><i class="far fa-calendar-check"></i> Orçamento</a></li>

                <li><a href="ordemServico.php"><i class="fas fa-concierge-bell"></i></i> Ordem de Serviço</a></li>

                <li><a href="listarContratos.php"><i class="far fa-newspaper"></i> Contratos</a></li>

                <li><a href="buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

                <li><a href="buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

                <li><a href="admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

                <!-- Button of Logoff -->

                <li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

                <!-- End - Button of Logoff -->

            </ul>
        </nav>

        <!-- End of Menu -->

        <!-- Iniciando Tabela -->
        <?php include 'error.php'; ?>
        <div class="container">
            <div class="mr-auto p-2">
                <br>
                <h3 class="text-center"> Cadastrar Novo Cliente </h3>
                <hr />
            </div>


            <!-- Formulario JQuery Inserir-->
            <br>
            <form method="POST" action="controller/transactionControllerInsertCliente.php">


                <div class="form-row">
                    <div class="col">
                        <label>Razão Social</label>
                        <input type="text" name="nomecliente" class="form-control" placeholder="EXEMPLO LTDA">
                    </div>
                </div>

                <br>

                <div class="form-row">
                    <div class="col">
                        <label>CNPJ/CPF</label>
                        <input type="text" name="cnpj" class="form-control">

                    </div>
                    <div class="col">
                        <label>Nome do Contato</label>
                        <input type="text" name="contato" class="form-control" placeholder="Contato">
                    </div>
                </div>

                <form>
                    <br>

                    <div class="form-row">
                        <div class="col">
                            <label>Endereço</label>
                            <textarea name="endereco" class="form-control" rows="4"></textarea>
                        </div>
                    </div>

                    <br>

                    <div class="form-row">
                        <div class="col">
                            <label>Telefone </label>
                            <input type="text" maxlength="13" name="telefone1" placeholder="Responsável" class="form-control" onkeypress="if  (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mTel )">

                        </div>
                        <div class="col">
                            <label>Telefone Secundário</label>
                            <input type="text" maxlength="13" name="telefone2" class="form-control" onkeypress="if (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mTel )">

                        </div>
                    </div>

                    <br>

                    <div class="form-row">
                        <div class="col">
                            <label>Celular Principal</label>
                            <input type="text" maxlength="14" name="celular1" class="form-control" onkeypress="if (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mTel )">

                        </div>
                        <div class="col">
                            <label>Celular Secundário</label>
                            <input type="text" maxlength="14" name="celular2" class="form-control" onkeypress="if (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mTel )">
                        </div>
                    </div>

                    <br>

                    <div class="form-row">
                        <div class="col" id="formulario">
                            <label>E-mail</label>
                            <input type="text" name="emailcliente" class="form-control" placeholder="modelo@modelo.com.br" required>
                        </div>
                        <br>
                    </div>

                    <div class="form-row">
                        <div class="col-md-3">
                            <br>
                            <button class="btn btn-primary bt">
                                Salvar </i>
                            </button>
                        </div>
                    </div>


                </form><br>


                <!-- Fim - Formulario JQuery -->
        </div>

    <?php } else {
} ?>