<?php
setlocale(LC_TIME, 'pt_BR', 'pt_BR.utf-8', 'pt_BR.utf-8', 'portuguese');
date_default_timezone_set('America/Sao_Paulo');
session_start();

if (isset($_SESSION['login'])) {
	include_once "model/conexao.class.php";
	include_once "model/os.class.php";
	include_once "model/cliente.class.php";
	include_once "model/produto.class.php";
	include_once "model/praga.class.php";
	include_once "model/servico.class.php";
	include_once "model/orcamento.class.php";

	$cliente = new Cliente();
	$produto = new Produto();
	$praga = new Praga();
	$servico = new Servico();
	$orcamento = new Orcamento();

?>

	<!DOCTYPE html>
	<html lang="pt-br">

	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<!-- Favicon -->
		<link rel="shortcut icon" href="assets/img/icon.jpg">
		<title>Ordem de Serviço</title>
		<!-- Bootstrap 4 -->
		<link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
		<!-- CSS da INDEX -->
		<link rel="stylesheet" href="assets/css/index.css">
		<!-- GoogleFonts - OpenSans -->
		<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
		<!-- Fontawesome 5.0-->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
		<script src="https://kit.fontawesome.com/01e6cc872a.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.15/jquery.mask.min.js"></script>
		<script type="text/javascript" src="js/jquery.mask.min.js"></script>
		<script type="text/javascript" src="../assets/js/mascara.js"></script>
		<script src="assets/js/mascara.js"></script> <!-- Máscara dos formulários input-->
		<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
		<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
		<link rel="stylesheet" href="/resources/demos/style.css">
		<!-- Importar script para selecionar horario -->
		<script src="assets\js\bootstrap-datetimepicker.min.js"></script>
		<link rel="stylesheet" href="assets\css\bootstrap\bootstrap-datetimepicker.min.css">
		<!-- Importar script para SweetAlert -->
		<script src="sweetalert2/dist/sweetalert2.min.js"></script>
		<link rel="stylesheet" href="sweetalert2/dist/sweetalert2.min.css">


	</head>

	<body>
		<div class="d-flex">
			<nav class="sidebar">
				<ul class="list-unstyled">

					<!-- Image of Company -->

					<div class="image_company">
						<a href="index.php">
							<img src="assets/img/logo.png">
						</a>
					</div><br><br>

					<span class="text-center logo">
						ADMINISTRATIVO
					</span>
					<hr>

					<!-- End Img -->



					<!-- List of Menu and Icons -->

					<li><a href="index.php"><i class="fa fa-home"></i> Início</a></li>

					<li><a href="listarOrcamento.php"><i class="far fa-calendar-check"></i> Orçamento</a></li>

					<li><a href="ordemServico.php"><i class="fas fa-concierge-bell"></i></i> Ordem de Serviço</a></li>

					<li><a href="listarContratos.php"><i class="far fa-newspaper"></i> Contratos</a></li>

					<li><a href="buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

					<li><a href="buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

					<li><a href="admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

					<!-- Button of Logoff -->

					<li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

					<!-- End - Button of Logoff -->

				</ul>
			</nav>

			<!-- End of Menu -->
			<div class="container">
				<br>
				<!-- Script para carregar os dados do formulario -->

				<!-- End of Menu -->
				<form method="POST" action="controller/transactionControllerInsertOrcamento.php">
					<br>
					<h3 class="text-center">Cadastrar Novo Orçamento</h3>
					<hr />


					<label>Cliente </label>
					<select name="clienteOrcamento" id="clienteOrcamento" class="form-control" onchange="update()" required>
						<option>
							<?php foreach ($cliente->listaCLiente() as $listacliente) : ?>
						<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listacliente['nomeCliente'] ?>"><?php echo $listacliente['nomeCliente'] ?></option>
					<?php endforeach; ?>
					</option>
					</select>


					<div class="form-row">
						<div class="col ">
							<br><label>Data do Orçamento</label><br>
							<input type="text" name="dataOrcamento" class="form-control dateselect" id="dataOrcamento" required autocomplete="off">
							<script>
								$('#dataOrcamento').datepicker({
									dateFormat: 'dd/mm/yy',
									dayNames: ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado'],
									dayNamesMin: ['D', 'S', 'T', 'Q', 'Q', 'S', 'S', 'D'],
									dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb', 'Dom'],
									monthNames: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
									monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
									nextText: 'Próximo',
									prevText: 'Anterior'
								});
							</script>
						</div>

						<div class="col">
							<br><label>Horário</label><br>
							<input type="time" name="horarioOrcamento" class="form-control" required>
						</div>

						<div class="col">
							<br><label>Técnico</label><br>
							<input type="text" name="tecnicoOrcamento" class="form-control" required>
						</div>

						<div class="col">
							<br><label>Status</label><br>
							<input type="text" name="statusOrcamento" class="form-control" readonly placeholder="Aberto" required>
						</div>

						<div class="col">
							<br><label>&emsp;</label><br>
							<button id="mensagem-sucesso" class="btn btn-primary">Inserir novo Orçamento</button>
						</div>
					</div>
			</div>
			</form>
		</div>



		<!-- End of Template  -->

	<?php
} else {
	header("Location: login.php?acess_denied");
}
	?>