<?php

session_start();

if (isset($_SESSION['login'])) {
	include_once "model/conexao.class.php";
	include_once "model/os.class.php";
	include_once "model/cliente.class.php";
	include_once "model/produto.class.php";
	include_once "model/praga.class.php";
	include_once "model/servico.class.php";


	$cliente = new Cliente();
	$produto = new Produto();
	$praga = new Praga();
	$servico = new Servico();

?>

	<!DOCTYPE html>
	<html lang="pt-br">

	<head>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<!-- Favicon -->
		<link rel="shortcut icon" href="assets/img/icon.jpg">
		<title>Ordem de Serviço</title>
		<!-- Bootstrap 4 -->
		<link rel="stylesheet" type="text/css" href="assets/css/bootstrap/bootstrap.min.css">
		<!-- CSS da INDEX -->
		<link rel="stylesheet" href="assets/css/index.css">
		<!-- GoogleFonts - OpenSans -->
		<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
		<!-- Fontawesome 5.0-->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
		<script src="https://kit.fontawesome.com/01e6cc872a.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.15/jquery.mask.min.js"></script>
		<script type="text/javascript" src="js/jquery.mask.min.js"></script>
		<script type="text/javascript" src="../assets/js/mascara.js"></script>
		<script src="assets/js/mascara.js"></script> <!-- Máscara dos formulários input-->
		<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
		<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
		<link rel="stylesheet" href="/resources/demos/style.css">
		<!-- Importar script para selecionar horario -->
		<script src="assets\js\bootstrap-datetimepicker.min.js"></script>
		<link rel="stylesheet" href="assets\css\bootstrap\bootstrap-datetimepicker.min.css">
		<!--Script pesquisar select-->
		<script src="https://cdnjs.cloudflare.com/ajax/libs/chosen/1.8.2/chosen.jquery.min.js"></script>
		<link href="https://cdnjs.cloudflare.com/ajax/libs/chosen/1.8.2/chosen.css" rel="stylesheet" />



	</head>


	<body>
		<!--Script pesquisar select-->
		<script type="text/javascript">
			$(function() {
				$("#cliente").chosen({
					"width": "100%",
					no_results_text: "Oops, não encontramos nada!",
				});

			});
		</script>
		<!--Script pesquisar select-->

		<div class="d-flex">
			<nav class="sidebar">
				<ul class="list-unstyled">

					<!-- Image of Company -->

					<div class="image_company">
						<img src="assets/img/logo.png" class="Thumbnail">
					</div>
					<br><br>
					<span class="text-center logo">
						ADMINISTRATIVO
					</span>
					<hr>
					<!-- End Img -->

					<!-- List of Menu and Icons -->

					<li><a href="index.php"><i class="fa fa-home"></i> Início</a></li>

					<li><a href="listarOrcamento.php"><i class="far fa-calendar-check"></i> Orçamento</a></li>

					<li><a href="ordemServico.php"><i class="fas fa-concierge-bell"></i></i> Ordem de Serviço</a></li>

					<li><a href="listarContratos.php"><i class="far fa-newspaper"></i> Contratos</a></li>

					<li><a href="buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

					<li><a href="buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

					<li><a href="admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

					<!-- Button of Logoff -->

					<li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

					<!-- End - Button of Logoff -->

				</ul>
			</nav>

			<!-- End of Menu -->
			<div class="container">
				<!-- Script para carregar os dados do formulario -->

				<!-- End of Menu -->
				<form method="POST" action="controller/transactionControllerInsertOs.php">
					<div class="form-row">
						<div class="col-sm">
							<label>Cliente </label>
							<!--<input type="text" id="myInput" class="form-control" placeholder="" -->
							<select name="cliente" id="cliente" class="form-control chosen-select" onchange="update()">
								<?php foreach ($cliente->listaCLiente() as $listacliente) : ?>
									<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listacliente['idCliente'] ?>"><?php echo $listacliente['fantasia'] ?></option>
								<?php endforeach; ?>
								</option>
							</select>

							<script>
								$(document).ready(function() {
									$("#myInput").on("keyup", function() {
										var value = $(this).val().toLowerCase();
										$("#myList li").filter(function() {
											$(this).toggle($(this).text().toLowerCase().indexOf(value) > -1)
										});
									});
								});
							</script>
						</div>

					</div>

					<br>

					<div class="form-row">
						<input type="hidden" name="fantasia" id="fantasia" class="form-control" readonly>

						<div class="col">
							<label>Técnico </label>
							<input type="text" name="tecnico" id="tecnico" class="form-control" placeholder="">
						</div>

						<div class="col">
							<label>Status O.S. </label>
							<input type="text" name="status_os" class="form-control" placeholder="Aberta" readonly>
						</div>

						<div class="col">
							<label>Nome do Contato </label>
							<input type="text" name="contato" class="form-control" placeholder="">
						</div>
					</div>

					<br>
					<div class="form-row">
						<div class="col">
							<label>Data de abertura</label>
							<input type="text" id="dataAbertura" name="data_os" class="form-control dataAbertura" placeholder="00/00/0000" autocomplete="off">
							<script>
								$('#dataAbertura').datepicker({
									dateFormat: 'dd/mm/yy',
									dayNames: ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado'],
									dayNamesMin: ['D', 'S', 'T', 'Q', 'Q', 'S', 'S', 'D'],
									dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb', 'Dom'],
									monthNames: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
									monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
									nextText: 'Próximo',
									prevText: 'Anterior'
								});
							</script>
						</div>


						<div class="col">
							<label>Data do serviço</label>
							<input type="text" id="dataServico" name="inicio_os" class="form-control" placeholder="00/00/0000" autocomplete="off">
							<script>
								$('#dataServico').datepicker({
									dateFormat: 'dd/mm/yy',
									dayNames: ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado'],
									dayNamesMin: ['D', 'S', 'T', 'Q', 'Q', 'S', 'S', 'D'],
									dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb', 'Dom'],
									monthNames: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
									monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
									nextText: 'Próximo',
									prevText: 'Anterior'
								});
							</script>
						</div>
						<div class="col">
							<label>Data da conclusão</label>
							<input type="text" id="dataConclusao" name="termino_os" class="form-control" placeholder="00/00/0000" readonly>
						</div>
						<div class="col">
							<label>Horário de agendamento</label>
							<input type="time" name="horaagendamento" class="form-control dataAbertura" placeholder="HH:mm">
						</div>
					</div>

					<br>


					<div class="row">
						<div class="col-sm">
							<label>Adicionar serviço</label> </a>

							<!-- <p><input type="text" name="servico1" class="form-control"></p>-->

							<select name="servico1" id="carregaservico" class="form-control">
								<option></option>
								<?php foreach ($servico->listarServico() as $listarservico) : ?>
									<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listarservico['descricaoServico'] ?>"><?php echo $listarservico['descricaoServico'] ?></option>
								<?php endforeach; ?>
							</select></p>

							<select name="servico2" id="carregaservico" class="form-control">
								<option></option>
								<?php foreach ($servico->listarServico() as $listarservico) : ?>
									<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listarservico['descricaoServico'] ?>"><?php echo $listarservico['descricaoServico'] ?></option>
								<?php endforeach; ?>
							</select></p>

							<select name="servico3" id="carregaservico" class="form-control">
								<option></option>
								<?php foreach ($servico->listarServico() as $listarservico) : ?>
									<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listarservico['descricaoServico'] ?>"><?php echo $listarservico['descricaoServico'] ?></option>
								<?php endforeach; ?>
							</select></p>

							<select name="servico4" id="carregaservico" class="form-control">
								<option></option>
								<?php foreach ($servico->listarServico() as $listarservico) : ?>
									<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listarservico['descricaoServico'] ?>"><?php echo $listarservico['descricaoServico'] ?></option>
								<?php endforeach; ?>
							</select></p>

						</div>
						<div class="col-sm">
							<label>Pragas alvo</label></a>
							<!-- <p><input type="text" name="praga1" class="form-control"></p> -->

							<select name="praga1" id="carregapraga" class="form-control">
								<option></option>
								<?php foreach ($praga->listarPraga() as $listarpraga) : ?>
									<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listarpraga['descricaoPraga'] ?>"><?php echo $listarpraga['descricaoPraga'] ?></option>
								<?php endforeach; ?>
							</select></p>

							<select name="praga2" id="carregapraga" class="form-control">
								<option></option>
								<?php foreach ($praga->listarPraga() as $listarpraga) : ?>
									<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listarpraga['descricaoPraga'] ?>"><?php echo $listarpraga['descricaoPraga'] ?></option>
								<?php endforeach; ?>
							</select></p>

							<select name="praga3" id="carregapraga" class="form-control">
								<option></option>
								<?php foreach ($praga->listarPraga() as $listarpraga) : ?>
									<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listarpraga['descricaoPraga'] ?>"><?php echo $listarpraga['descricaoPraga'] ?></option>
								<?php endforeach; ?>
							</select></p>

							<select name="praga4" id="carregapraga" class="form-control">
								<option></option>
								<?php foreach ($praga->listarPraga() as $listarpraga) : ?>
									<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listarpraga['descricaoPraga'] ?>"><?php echo $listarpraga['descricaoPraga'] ?></option>
								<?php endforeach; ?>
							</select></p>



						</div>

					</div>

					<div class="row">
						<div class="col-sm">
							<p><label>Produtos</label></p>
							<p>
								<!--input type="text" name="produto1" class="form-control"-->
								<select name="produto1" id="carregaproduto" class="form-control" style="width: 300px">
									<option></option>
									<?php foreach ($produto->listaProduto() as $listaproduto) : ?>
										<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listaproduto['descricao'] ?>"><?php echo $listaproduto['descricao'] ?></option>
									<?php endforeach; ?>
								</select></p>
							<p>
								<!--input type="text" name="produto2" class="form-control"-->
								<select name="produto2" id="carregaproduto" class="form-control" style="width: 300px">
									<option></option>
									<?php foreach ($produto->listaProduto() as $listaproduto) : ?>
										<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listaproduto['descricao'] ?>"><?php echo $listaproduto['descricao'] ?></option>
									<?php endforeach; ?>
								</select></p>
							<p>
								<!--input type="text" name="produto3" class="form-control"-->
								<select name="produto3" id="carregaproduto" class="form-control" style="width: 300px">
									<option></option>
									<?php foreach ($produto->listaProduto() as $listaproduto) : ?>
										<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listaproduto['descricao'] ?>"><?php echo $listaproduto['descricao'] ?></option>
									<?php endforeach; ?>
								</select></p>
							<p>
								<!--input type="text" name="produto4" class="form-control"-->
								<select name="produto4" id="carregaproduto" class="form-control" style="width: 300px">
									<option></option>
									<?php foreach ($produto->listaProduto() as $listaproduto) : ?>
										<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listaproduto['descricao'] ?>"><?php echo $listaproduto['descricao'] ?></option>
									<?php endforeach; ?>
								</select></p>

							<!--input type="text" name="produto5" class="form-control"-->
							<select name="produto5" id="carregaproduto" class="form-control" style="width: 300px">
								<option></option>
								<?php foreach ($produto->listaProduto() as $listaproduto) : ?>
									<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listaproduto['descricao'] ?>"><?php echo $listaproduto['descricao'] ?></option>
								<?php endforeach; ?>
							</select></p>
							<p>
								<!--input type="text" name="produto6" class="form-control"-->
								<select name="produto6" id="carregaproduto" class="form-control" style="width: 300px">
									<option></option>
									<?php foreach ($produto->listaProduto() as $listaproduto) : ?>
										<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listaproduto['descricao'] ?>"><?php echo $listaproduto['descricao'] ?></option>
									<?php endforeach; ?>
								</select></p>
							<p>
								<!--input type="text" name="produto7" class="form-control"-->
								<select name="produto7" id="carregaproduto" class="form-control" style="width: 300px">
									<option></option>
									<?php foreach ($produto->listaProduto() as $listaproduto) : ?>
										<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listaproduto['descricao'] ?>"><?php echo $listaproduto['descricao'] ?></option>
									<?php endforeach; ?>
								</select></p>
							<p>
								<!--input type="text" name="produto8" class="form-control"-->
								<select name="produto8" id="carregaproduto" class="form-control" style="width: 300px">
									<option></option>
									<?php foreach ($produto->listaProduto() as $listaproduto) : ?>
										<option class="btn btn-outline-secondary dropdown-toggle" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" value="<?php echo $listaproduto['descricao'] ?>"><?php echo $listaproduto['descricao'] ?></option>
									<?php endforeach; ?>
								</select></p>

						</div>
						<div class="col-sm">
							<p><label>Dosagem</label></p>
							<p><input type="text" name="dosagem1" class="form-control"></p>
							<p><input type="text" name="dosagem2" class="form-control"></p>
							<p><input type="text" name="dosagem3" class="form-control"></p>
							<p><input type="text" name="dosagem4" class="form-control"></p>
							<p><input type="text" name="dosagem5" class="form-control"></p>
							<p><input type="text" name="dosagem6" class="form-control"></p>
							<p><input type="text" name="dosagem7" class="form-control"></p>
							<p><input type="text" name="dosagem8" class="form-control"></p>
						</div>
						<div class="col-sm">
							<p><label>Diluente</label></p>
							<p><input type="text" name="diluente1" class="form-control"></p>
							<p><input type="text" name="diluente2" class="form-control"></p>
							<p><input type="text" name="diluente3" class="form-control"></p>
							<p><input type="text" name="diluente4" class="form-control"></p>
							<p><input type="text" name="diluente5" class="form-control"></p>
							<p><input type="text" name="diluente6" class="form-control"></p>
							<p><input type="text" name="diluente7" class="form-control"></p>
							<p><input type="text" name="diluente8" class="form-control"></p>
						</div>
						<div class="col-sm">
							<p><label>Método</label></p>
							<p><input type="text" name="metodo1" class="form-control"></p>
							<p><input type="text" name="metodo2" class="form-control"></p>
							<p><input type="text" name="metodo3" class="form-control"></p>
							<p><input type="text" name="metodo4" class="form-control"></p>
							<p><input type="text" name="metodo5" class="form-control"></p>
							<p><input type="text" name="metodo6" class="form-control"></p>
							<p><input type="text" name="metodo7" class="form-control"></p>
							<p><input type="text" name="metodo8" class="form-control"></p>
						</div>
						<div class="col-sm">
							<p><label>Lote</label></p>
							<p><input type="text" name="lote1" class="form-control"></p>
							<p><input type="text" name="lote2" class="form-control"></p>
							<p><input type="text" name="lote3" class="form-control"></p>
							<p><input type="text" name="lote4" class="form-control"></p>
							<p><input type="text" name="lote5" class="form-control"></p>
							<p><input type="text" name="lote6" class="form-control"></p>
							<p><input type="text" name="lote7" class="form-control"></p>
							<p><input type="text" name="lote8" class="form-control"></p>
						</div>
					</div>


					<div class="form-group">
						<label>Observações</label>
						<textarea class="form-control" name="observacao_os" rows="3"></textarea>
					</div>

					<div class="col">
						<br><button class="btn btn-danger btn-block" id="btn_criarOrdem">
							Abrir ordem de serviço </i>
						</button>
					</div>
			</div>
			</form>
		</div>

		<<br>
			<!-- Fim da Tabela -->

			<script>
				function update() {

					var select = document.getElementById('cliente');
					var option = select.options[select.selectedIndex];

					document.getElementById('fantasia').value = option.text;


				}
			</script>


			</div>

			</div>

			<!-- End of Template  -->

		<?php
	} else {
		header("Location: login.php?acess_denied");
	}
		?>