<!-- PHP - Incluindo Arquivos Necessarios -->
<?php

session_start();

if (isset($_SESSION['login'])) {

	include_once "../model/conexao.class.php";
	include_once "../model/cliente.class.php";
	include_once "../model/os.class.php";

	$cliente = new Cliente();
	$idcliente = ($_POST['idcliente']);

	$os = new Os();

?>

	<!-- Fim - PHP -->


	<!-- HTML -Incluindo Arquivos CSS3, Bootstrap 4, etc -->
	<!DOCTYPE html>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<!-- Favicon -->
	<link rel="shortcut icon" href="../assets/img/icon.jpg">
	<title>Intranet MBM - Gerenciamento de Cliente</title>
	<!-- Bootstrap 4 -->
	<link rel="stylesheet" type="text/css" href="../assets/css/bootstrap/bootstrap.min.css">
	<!-- CSS da INDEX -->
	<link rel="stylesheet" href="../assets/css/index.css">
	<!-- GoogleFonts - OpenSans -->
	<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
	<!-- Fontawesome 5.0-->
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
	<script src="https://kit.fontawesome.com/01e6cc872a.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.15/jquery.mask.min.js"></script>
	<script type="text/javascript" src="js/jquery.mask.min.js"></script>
	<script src="../assets/js/mascara.js"></script> <!-- Máscara dos formulários input-->

	<!-- Fim - Arquivos -->
	<!-- Init of Template -  -->

	<div class="d-flex">
		<nav class="sidebar">
			<ul class="list-unstyled">

				<!-- Image of Company -->

				<div class="image_company">
					<a href="../index.php">
						<img src="../assets/img/logo.png">
					</a>
				</div><br><br>

				<span class="text-center logo">
					ADMINISTRATIVO
				</span>
				<hr>

				<!-- End Img -->



				<!-- List of Menu and Icons -->

				<li><a href="../index.php"><i class="fa fa-home"></i> Início</a></li>

				<li><a href="../listarOrcamento.php"><i class="far fa-calendar-check"></i> Orçamento</a></li>

				<li><a href="../ordemServico.php"><i class="fas fa-concierge-bell"></i></i> Ordem de Serviço</a></li>

				<li><a href="../listarContratos.php"><i class="far fa-newspaper"></i> Contratos</a></li>

				<li><a href="../buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

				<li><a href="../buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

				<li><a href="../admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

				<!-- Button of Logoff -->

				<li><a href="../controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

				<!-- End - Button of Logoff -->

			</ul>
		</nav>

		<!-- End of Menu -->
		<!-- Iniciando Tabela -->

		<div class="content p-1">
			<div class="list-group-item" style="background-color: #eaeef3">

				<div class="mr-auto p-2">
					<h2 class="text-center"> Gerenciamento de Cliente</h2><br>
				</div>

				<div class="text-left">
					<a class="btn btn-secondary" type="button" href="../listar_cliente.php">Voltar</a>
				</div>

				<br>
				<!-- Iniciando a Tabela -->

				<div class="table-responsive">
					<table class="table table-hover">
						<thead class="thead">

							<tr>
								<th>ID</th>
								<th>RAZÃO SOCIAL</th>
								<th>TELEFONE 1</th>
								<th>TELEFONE 2</th>
								<th>CELULAR 1</th>
								<th>CELULAR 2</th>
								<th>EMAIL</th>
								<th>AÇÕES</th>

							</tr>
						</thead>
						<tbody>
							<?php foreach ($cliente->pegarInfo($idcliente) as $listacliente) : ?>
								<tr class="tr">

									<td><?php echo $listacliente['idCliente']; ?></td>
									<td><?php echo $listacliente['nomeCliente']; ?></td>
									<td><?php echo $listacliente['telefone1']; ?></td>
									<td><?php echo $listacliente['telefone2']; ?></td>
									<td><?php echo $listacliente['celular1']; ?></td>
									<td><?php echo $listacliente['celular2']; ?></td>
									<td><?php echo $listacliente['emailCliente']; ?></td>

									<!-- Botões de Ações -->

									<td>

										<button class="btn btn-primary form_jquery_alterar">
											<i class="far fa-plus-square"></i>
										</button>

									</td>

									<!-- Fim - Form de Transacao -->

								</tr>
							<?php endforeach; ?>
						</tbody>
					</table>
					<hr>

					<!-- Fim - Tabela -->

					<!-- Formulario JQuery Consultar Dados Cliente-->

					<form method="POST" action="../controller/transactionControllerAlterarCliente.php" style="font-weight: bold; font-style: italic;" class="formulario_alterar">
						<div class="container">

							<div class="form-row">
								<div class="col">
									<label>ID Cliente</label>
									<input type="text" name="idCliente" class="form-control" readonly value="<?php echo $listacliente['idCliente'] ?>">
								</div>

								<div class="col">
									<label>Razão Social</label>
									<input type="text" name="nomecliente" class="form-control" value="<?php echo $listacliente['nomeCliente'] ?>">
								</div>

								<div class="col">
									<label>Fantasia</label>
									<input type="text" name="fantasia" class="form-control" value="<?php echo $listacliente['fantasia'] ?>">
								</div>
							</div>


							<br>

							<div class="form-row">
								<div class="col">
									<label>CNPJ/CPF</label>
									<input type="text" name="cnpj" class="form-control" value="<?php echo $listacliente['cnpj'] ?>">
								</div>
								<div class="col">
									<label>Nome do Contato</label>
									<input type="text" name="contato" class="form-control" value="<?php echo $listacliente['contato'] ?>">
								</div>
							</div>

							<form>
								<br>

								<div class="form-row">
									<div class="col">
										<label>Endereço</label>
										<textarea name="endereco" class="form-control" rows="4" value><?php echo $listacliente['endereco'] ?></textarea>
									</div>
								</div>

								<div class="form-row">
									<div class="col">
										<label>Telefone Principal</label>
										<input type="text" name="telefone1" maxlength="13" class="form-control" id="exampleFormControlInput1" placeholder="(99) 9999-9999" onkeypress="if  (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mTel )" value="<?php echo $listacliente['telefone1'] ?> ">
									</div>
									<div class="col">
										<label>Telefone Secundário</label>
										<input type="text" name="telefone2" maxlength="13" class="form-control" placeholder="(99) 9999-9999" onkeypress="if  (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mTel )" value="<?php echo $listacliente['telefone2'] ?>">
									</div>
								</div>

								<br>

								<div class="form-row">
									<div class="col">
										<label>Celular Principal</label>
										<input type="text" name="celular1" maxlength="14" class="form-control" id="exampleFormControlInput1" placeholder="(99) 99999-9999" onkeypress="if  (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mTel )" value="<?php echo $listacliente['celular1'] ?>">
									</div>
									<div class="col">
										<label>Celular Secundário</label>
										<input type="text" name="celular2" maxlength="14" class="form-control" placeholder="(99) 99999-9999" onkeypress="if  (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mTel )" value="<?php echo $listacliente['celular2'] ?>">
									</div>
								</div>

								<br>

								<div class="form-row">
									<div class="col">
										<label>E-mail</label>
										<input type="text" name="emailcliente" class="form-control" id="exampleFormControlInput1" placeholder="modelo@modelo.com.br" value="<?php echo $listacliente['emailCliente'] ?>">
									</div>
								</div>

								<div class="form-row">
									<div class="col-md-3">
										<br><button class="btn btn-primary btn-block">
											Efetuar Alteração</i>
										</button>
									</div>
								</div>


								<br>
						</div>
				</div>
			</div>

			</form><br>

			<!-- Fim - Formulario JQuery -->



		</div>
	</div>
	</div>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.js"> </script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"> </script>
	<script type="text/javascript" src="../assets/js/jquery-3.3.1.min.js"></script>
	<script type="text/javascript" src="../assets/js/script_alterar.js"></script>
	<script type="text/javascript" src="../assets/js/script_listar_registros.js"></script>

<?php } else {
} ?>