<!-- PHP - Incluindo Arquivos Necessarios -->
<?php

session_start();

if (isset($_SESSION['login'])) {

	include_once "../model/conexao.class.php";
	include_once "../model/contrato.class.php";
	include_once "../model/cliente.class.php";

	$contrato = new Contrato();
	$Recebe_Contrato = ($_POST['envia_contrato']);
	$idcliente = ($_POST['envia_contrato_id']);

?>

	<!-- Fim - PHP -->


	<!-- HTML -Incluindo Arquivos CSS3, Bootstrap 4, etc -->
	<!DOCTYPE html>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<!-- Favicon -->
	<link rel="shortcut icon" href="../assets/img/icon.jpg">
	<title>Intranet MBM - Gerenciamento de Contratos</title>
	<!-- Bootstrap 4 -->
	<link rel="stylesheet" type="text/css" href="../assets/css/bootstrap/bootstrap.min.css">
	<!-- CSS da INDEX -->
	<link rel="stylesheet" href="../assets/css/index.css">
	<!-- GoogleFonts - OpenSans -->
	<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
	<!-- Fontawesome 5.0-->
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
	<script src="https://kit.fontawesome.com/01e6cc872a.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.15/jquery.mask.min.js"></script>
	<script type="text/javascript" src="js/jquery.mask.min.js"></script>
	<script type="text/javascript" src="../assets/js/mascara.js"></script>
	<script src="../assets/js/mascara.js"></script> <!-- Máscara dos formulários input-->
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
	<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
	<link rel="stylesheet" href="/resources/demos/style.css">


	<!-- Fim - Arquivos -->

	<!-- Iniciando Tabela -->

	<div class="content p-1">
		<div class="list-group-item" style="background-color: #eaeef3">

			<div class="mr-auto p-2">
				<h2 class="text-center"> Gerenciamento de Contrato - Edição </h2><br>
			</div>




			<br>
			<!-- Iniciando a Tabela -->

			<div class="container">
				<div class="text-left">
					<a class="btn btn-secondary" type="button" href="../listarContratos.php">Voltar a lista de Contratos</a>
				</div>
				<div class="table-responsive">
					<table class="table table-hover">
						<thead class="thead">

							<tr>
								<th scope="col">ID</th>
								<th scope="col">CLIENTE</th>
								<th scope="col">PERIODICIDADE</th>
								<th scope="col">VALOR MENSAL</th>
								<th scope="col">DATA ATIVAÇÃO</th>
								<th scope="col">STATUS</th>
								<th scope="col">AÇÕES</th>
							</tr>
						</thead>
						<tbody>
							<?php foreach ($contrato->pegarInfo($Recebe_Contrato) as $carregaContrato) : ?>
								<tr class="tr">

									<td><?php echo $carregaContrato['idContrato']; ?></td>
									<td><?php echo $carregaContrato['clienteContrato']; ?></td>
									<td><?php echo $carregaContrato['periodicidadeContrato']; ?></td>
									<td><?php echo $carregaContrato['valorContrato']; ?></td>
									<td><?php echo $carregaContrato['dataContrato']; ?></td>
									<td id="novoStatus"><?php echo $carregaContrato['statusContrato']; ?></td>

									<!-- Botões de Ações -->

									<td>

										<form method="POST" action="" target="_blank">
											<input type="hidden" name="envia_contrato" value="<?= $CarregaContrato['idContrato'] ?>">
											<input type="hidden" name="envia_contrato_id" value="<?= $CarregaContrato['clienteContrato'] ?>">

											<button type="button" class="btn btn-warning form_jquery_alterar_status" title="Alterar status">
												<i class="far fa-check-circle"></i>
											</button>

											<button type="button" class="btn btn-danger form_jquery_exclusao">
												<i class="far fa-trash-alt"></i>
											</button>
											<!-- Fim - Botão -->

										</form>

									</td>

									<!-- Fim - Form de Transacao -->

								</tr>
							<?php endforeach; ?>
						</tbody>
					</table>
					<hr>
				</div>
			</div>

			<!-- Fim - Tabela -->

			<form method="POST" action="../controller/transactionControllerAlterarStatusContrato.php" style="font-weight: bold; font-style: italic;" class="formulario_alterar_status">
				<div class="container">

					<div class="form-row">
						<div class="col-sm-3">
							<label>ID do Contrato que será alterado:</label>
							<input type="text" name="idContrato" class="form-control" readonly value="<?php echo $carregaContrato['idContrato'] ?>">

						</div>

						<div class="col-sm-2">
							<label>Para:</label><br>
							<div class="form-check">
								<label class="form-check-label">
									<input type="checkbox" class="form-check-input" name="statusContrato" value="INATIVO" readonly>Contrato Inativo
								</label>
							</div>
						</div>
						<div class="col">
							<label></label><br>
							<button class="btn btn-primary">
								Salvar alteração
							</button>
						</div>

					</div>
				</div>
			</form>

			<!-- Deletar contrato -->
			<form method="POST" action="../controller/transactionControllerDeleteContrato.php" style="font-weight: bold; font-style: italic;" class="formulario_exclusao">

				<div class="container">
					<br>
					<div class="form-row ">
						<div class="col">
							<label>Informe o ID do contrato:</label>
							<input type="text" name="idContrato" class="form-control">
						</div>
						<div class="col">
							<label> &nbsp; </label><br>
							<button class="btn btn-danger" role="button">
								Excluir Contrato <i class="fas fa-biohazard"></i>
							</button>
						</div>

					</div>

				</div>

			</form><br>

			<!-- Fim do código Deletar contrato -->

			<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.js"> </script>
			<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"> </script>
			<script type="text/javascript" src="../assets/js/jquery-3.3.1.min.js"></script>
			<script type="text/javascript" src="../assets/js/script_alterar.js"></script>
			<script type="text/javascript" src="../assets/js/script_alterar_status.js"></script>
			<script type="text/javascript" src="../assets/js/script_exclusao.js"></script>
			<script type="text/javascript" src="../assets/js/script_inserir.js"></script>
			<script type="text/javascript" src="../assets/js/script_alterar_retrabalho.js"></script>

		<?php } else {
	} ?>