<!-- PHP - Incluindo Arquivos Necessarios -->
<?php

session_start();

if (isset($_SESSION['login'])) {

	include_once "../model/conexao.class.php";
	include_once "../model/orcamento.class.php";
	include_once "../model/cliente.class.php";

	$orcamento = new Orcamento();
	$Recebe_Orcamento = ($_POST['envia_Orcamento']);
	$idcliente = ($_POST['envia_cliente_id']);

?>

	<!-- Fim - PHP -->


	<!-- HTML -Incluindo Arquivos CSS3, Bootstrap 4, etc -->
	<!DOCTYPE html>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<!-- Favicon -->
	<link rel="shortcut icon" href="../assets/img/icon.jpg">
	<title>Intranet MBM - Gerenciamento de Orçamento</title>
	<!-- Bootstrap 4 -->
	<link rel="stylesheet" type="text/css" href="../assets/css/bootstrap/bootstrap.min.css">
	<!-- CSS da INDEX -->
	<link rel="stylesheet" href="../assets/css/index.css">
	<!-- GoogleFonts - OpenSans -->
	<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
	<!-- Fontawesome 5.0-->
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
	<script src="https://kit.fontawesome.com/01e6cc872a.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.15/jquery.mask.min.js"></script>
	<script type="text/javascript" src="js/jquery.mask.min.js"></script>
	<script type="text/javascript" src="../assets/js/mascara.js"></script>
	<script src="../assets/js/mascara.js"></script> <!-- Máscara dos formulários input-->
	<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
	<link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
	<link rel="stylesheet" href="/resources/demos/style.css">
	<!-- Fim - Arquivos -->
	<div class="d-flex">

		<nav class="sidebar">
			<ul class="list-unstyled">

				<!-- Image of Company -->

				<div class="image_company">
					<a href="../index.php">
						<img src="../assets/img/logo.png">
					</a>
				</div><br><br>

				<span class="text-center logo">
					ADMINISTRATIVO
				</span>
				<hr>

				<!-- End Img -->

				<!-- List of Menu and Icons -->

				<li><a href="../index.php"><i class="fa fa-home"></i> Início</a></li>

				<li><a href="../listarOrcamento.php"><i class="far fa-calendar-check"></i> Orçamento</a></li>

				<li><a href="../ordemServico.php"><i class="fas fa-concierge-bell"></i></i> Ordem de Serviço</a></li>

				<li><a href="../listarContratos.php"><i class="far fa-newspaper"></i> Contratos</a></li>

				<li><a href="../buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

				<li><a href="../buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

				<li><a href="../admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

				<!-- Button of Logoff -->

				<li><a href="../controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

				<!-- End - Button of Logoff -->

			</ul>
		</nav>

		<!-- End of Menu -->

		<!-- Iniciando Tabela -->

		<div class="content p-1">
			<div class="list-group-item" style="background-color: #eaeef3">

				<div class="mr-auto p-2">
					<h2 class="text-center"> Gerenciamento de Orçamento - Edição </h2><br>
				</div>

				<br>
				<!-- Iniciando a Tabela -->

				<div class="container">
					<div class="text-left">
						<a class="btn btn-secondary" type="button" href="../listarOrcamento.php">Voltar</a>
					</div>
					<div class="table-responsive">
						<table class="table table-hover">
							<thead class="thead">

								<tr>
									<th scope="col">ID</th>
									<th scope="col">CLIENTE</th>
									<th scope="col">SERVICO</th>
									<th scope="col">TÉCNICO</th>
									<th scope="col">DATA</th>
									<th scope="col">STATUS</th>
									<th scope="col">AÇÕES</th>
								</tr>
							</thead>
							<tbody>
								<?php foreach ($orcamento->pegarInfo($Recebe_Orcamento) as $carregaOrcamento) : ?>
									<tr class="tr">

										<td><?php echo $carregaOrcamento['idOrcamento']; ?></td>
										<td><?php echo $carregaOrcamento['clienteOrcamento']; ?></td>
										<td><?php echo $carregaOrcamento['servicoOrcamento']; ?></td>
										<td><?php echo $carregaOrcamento['tecnicoOrcamento']; ?></td>
										<td><?php echo $carregaOrcamento['dataOrcamento']; ?></td>
										<td id="novoStatus" width=160><?php echo $carregaOrcamento['statusOrcamento']; ?></td>

										<!-- Botões de Ações -->

										<td>

											<form method="POST" action="../layoutOrcamento.php" target="_blank">
												<input type="hidden" name="envia_Orcamento" value="<?= $carregaOrcamento['idOrcamento'] ?>">
												<input type="hidden" name="envia_cliente" value="<?= $carregaOrcamento['clienteOrcamento'] ?>">

												<button type="button" class="btn btn-warning form_jquery_alterar_status" title="Alterar status">
													<i class="far fa-check-circle"></i>

												</button>

												<button type="button" class="btn btn-primary form_jquery_alterar" title="Alterar Ordem de Serviço">
													<i class="fas fa-random"></i>
												</button>

												<button class="btn btn-secondary" title="Imprimir Orçamento">
													<i class="fas fa-print"></i>
												</button>

												<button type="button" class="btn btn-danger form_jquery_exclusao">
													<i class="far fa-trash-alt"></i>
												</button>


												<!-- Fim - Botão -->

											</form>

										</td>

										<!-- Fim - Form de Transacao -->

									</tr>
								<?php endforeach; ?>
							</tbody>
						</table>
						<hr>
					</div>
				</div>

				<!-- Fim - Tabela -->

				<form method="POST" action="../controller/transactionControllerAlterarStatusOrcamento.php" style="font-weight: bold; font-style: italic;" class="formulario_alterar_status">
					<div class="container">
						<div class="" id="radioButton">

							<div class="form-row">
								<div class="col">
									<label>Alterar o status do Orçamento:</label>
									<input type="text" name="idOrcamento" class="form-control" readonly value="<?php echo $carregaOrcamento['idOrcamento'] ?>">
									<br>
									<label>Para:</label><br>
								</div>
							</div>

							<div class="form-check">
								<label class="form-check-label">
									<input type="radio" class="form-check-input" name="statusOrcamento" value="Aprovado">Aprovado
								</label>
							</div>

							<div class="form-check">
								<label class="form-check-label">
									<input type="radio" class="form-check-input" name="statusOrcamento" value="Reprovado">Reprovado
								</label>
							</div>
						</div>



						<script type="text/javascript">
							$(document).ready(function novoStatus() {
								$("#radioButton").change(function() {
									if ($('input:radio:checked').val() == 'Aprovado') {
										document.getElementById("novoStatus").innerHTML = 'Aprovado';
									} else if ($('input:radio:checked').val() == 'Reprovado') {
										document.getElementById("novoStatus").innerHTML = 'Reprovado';
									}

								});
							});
						</script>
						<br>
						<button class="btn btn-danger btn-block">
							Atualizar Status do Orçamento <i class="fas fa-biohazard"></i></i>
						</button>
					</div>
				</form>

				<!-- Formulario JQuery Alterar-->

				<form method="POST" action="../controller/transactionControllerAlterarOrcamento.php" style="font-weight: bold; font-style: italic;" class="formulario_alterar">
					<div class="container">

						<div class="form-row">
							<div class="col">
								<label>Cliente</label>
								<input type="text" name="clienteOrcamento" class="form-control" readonly value="<?php echo $carregaOrcamento['clienteOrcamento'] ?>">
							</div>

							<br>
							<div class="col">
								<label>Técnico responsável</label>
								<input type="text" name="tecnicoOrcamento" class="form-control" value="<?php echo $carregaOrcamento['tecnicoOrcamento'] ?>">
							</div>
						</div>

						<br>

						<div class="form-row">
							<div class="col">
								<label>Data do Orcamento</label>
								<input type="text" id="dataServico" name="dataOrcamento" class="form-control" value="<?php echo $carregaOrcamento['dataOrcamento'] ?>">
								<script>
									$('#dataServico').datepicker({
										dateFormat: 'dd/mm/yy',
										dayNames: ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado'],
										dayNamesMin: ['D', 'S', 'T', 'Q', 'Q', 'S', 'S', 'D'],
										dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb', 'Dom'],
										monthNames: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
										monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
										nextText: 'Próximo',
										prevText: 'Anterior'
									});
								</script>
							</div>
							<div class="col">
								<label>Data da Aprovação</label>
								<input type="text" id="dataConclusao" name="aprovacaoOrcamento" class="form-control" value="<?php echo $carregaOrcamento['aprovacaoOrcamento'] ?>">
								<script>
									$('#dataConclusao').datepicker({
										dateFormat: 'dd/mm/yy',
										dayNames: ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado'],
										dayNamesMin: ['D', 'S', 'T', 'Q', 'Q', 'S', 'S', 'D'],
										dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb', 'Dom'],
										monthNames: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
										monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
										nextText: 'Próximo',
										prevText: 'Anterior'
									});
								</script>
							</div>

							<div class="col">
								<label>Horário</label>
								<input type="text" name="horarioOrcamento" class="form-control" value="13:00">
							</div>

							<div class="col">
								<label>Valor do Orçamento</label>
								<input type="text" name="valorOrcamento" class="form-control" value="<?php echo $carregaOrcamento['valorOrcamento'] ?>">
							</div>

						</div>

						<br>

						<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.4.3/jquery.min.js"></script>

						<div class="form-row">
							<label>Selecione os serviços que serão realizados:</label>

							<script>
								function add(_this) {
									var resultadoServicos = document.getElementById('resultadoServicos');
									var value = _this.value;
									var hasAdd = resultadoServicos.value.search(_this.value) > 0
									if (_this.checked && !hasAdd) {
										resultadoServicos.value += ' ' + _this.value + ' -';
									} else if (!_this.checked && hasAdd) {
										var er = new RegExp(_this.value, 'ig');
										resultadoServicos.value = resultadoServicos.value.replace(er, '');
									}
									resultadoServicos.value = resultadoServicos.value.replace(/ {2,}/g, ' ');
								}
							</script>
						</div>


						<div class="form-row">
							<br>
							<div class="col">

								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="DESINSETIZAÇÃO">DESINSETIZAÇÃO</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="DESRATIZAÇÃO">DESRATIZAÇÃO</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE RATOS">CONTROLE DE RATOS</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE MOSQUITO">CONTROLE DE MOSQUITO</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE CUPIM">CONTROLE DE CUPIM</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE CARRAPATO">CONTROLE DE CARRAPATO</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE POMBO">CONTROLE DE POMBO</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE PULGA">CONTROLE DE PULGA</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE ESCORPIÃO">CONTROLE DE ESCORPIÃO</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE CARAMUJO">CONTROLE DE CARAMUJO</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE PERCEVEJO DE CAMA">CONTROLE DE PERCEVEJO DE CAMA</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE ACAROS">CONTROLE DE ACAROS</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE PIOLHO">CONTROLE DE PIOLHO</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE POMBO/AVES">CONTROLE DE POMBO/AVES</label><br>
							</div>


							<div class="col">

								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE ABELHA">CONTROLE DE ABELHA</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE MARIMBONDO OU VESPA">CONTROLE DE MARIMBONDO OU VESPA</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE MORCEGO">CONTROLE DE MORCEGO</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE LESMA">CONTROLE DE LESMA</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE BROCA">CONTROLE DE BROCA</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE PRAGAS DE GRÃOS ARMAZENADOS">CONTROLE DE PRAGAS DE GRÃOS ARMAZENADOS</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="MONITORAMENTO DE ARMADILHAS LUMINOSAS">MONITORAMENTO DE ARMADILHAS LUMINOSAS</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE PRAGAS DE JARDIM">CONTROLE DE PRAGAS DE JARDIM</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="ANALISE DE AGUA">ANALISE DE AGUA</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="MONITORAMENTO DE ARMADILHAS BIOLÓGICAS">MONITORAMENTO DE ARMADILHAS BIOLÓGICAS</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="DESINFECÇÃO E HIGIENIZAÇÃO DE CAIXA D' ÁGUA">DESINFECÇÃO E HIGIENIZAÇÃO DE CAIXA D' ÁGUA</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="CONTROLE DE LARVAS DE MOSQUITOS">CONTROLE DE LARVAS DE MOSQUITOS</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="DESENTUPIMENTO">DESENTUPIMENTO</label><br>
								<label class="checkbox-inline"><input onclick="add(this)" type="checkbox" value="LIMPEZA DE CAIXA DE GORDURA">LIMPEZA DE CAIXA DE GORDURA</label><br>
							</div>
						</div>


						<div class="form-row">
							<label>Os serviços selecionados são:</label>
							<input type="text" id="resultadoServicos" name="servicoOrcamento" class="form-control" value="<?php echo $carregaOrcamento['servicoOrcamento'] ?>">
						</div>
						<br>
						<button class="btn btn-danger btn-block">
							Efetuar Alteração do Orçamento<i class="fas fa-biohazard"></i>
						</button>


					</div>
				</form>
				<!-- Fim - Formulario JQuery -->

				<!-- Inicio - Formulario Excluir Orcamento  -->

				<form method="POST" action="../controller/transactionControllerDeleteOrcamento.php" style="font-weight: bold; font-style: italic;" class="formulario_exclusao">

					<div class="container">
						<div class="form-row ">
							<div class="col">
								<label>Informe o ID do contrato:</label>
								<input type="text" name="idOrcamento" class="form-control">
							</div>
							<div class="col">
								<label>Deseja realmente excluir ? </label><br>
								<button class="btn btn-danger" role="button">
									Excluir Orçamento <i class="fas fa-biohazard"></i>
								</button>
							</div>

						</div>

					</div>

				</form>

			</div>
		</div>
	</div>
	<!-- Fim - Formulario JQuery -->



	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.js"> </script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"> </script>
	<script type="text/javascript" src="../assets/js/jquery-3.3.1.min.js"></script>
	<script type="text/javascript" src="../assets/js/script_alterar.js"></script>
	<script type="text/javascript" src="../assets/js/script_alterar_status.js"></script>
	<script type="text/javascript" src="../assets/js/script_exclusao.js"></script>
	<script type="text/javascript" src="../assets/js/script_inserir.js"></script>
	<script type="text/javascript" src="../assets/js/script_alterar_retrabalho.js"></script>

<?php } else {
} ?>