<!-- PHP - Incluindo Arquivos Necessarios -->
<?php

session_start();

if (isset($_SESSION['login'])) {

	include_once "../model/conexao.class.php";
	include_once "../model/os.class.php";
	include_once "../model/cliente.class.php";

	$os = new Os();
	$Recebe_Os = ($_POST['envia_Os']);
	$idcliente = ($_POST['envia_cliente_id']);

?>

	<!-- Fim - PHP -->


	<!-- HTML -Incluindo Arquivos CSS3, Bootstrap 4, etc -->

	<head>
		<!DOCTYPE html>
		<meta charset="UTF-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<!-- Favicon -->
		<link rel="shortcut icon" href="../assets/img/icon.jpg">
		<title>Intranet MBM - Gerenciamento de OS</title>
		<!-- Bootstrap 4 -->
		<link rel="stylesheet" type="text/css" href="../assets/css/bootstrap/bootstrap.min.css">
		<!-- CSS da INDEX -->
		<link rel="stylesheet" href="../assets/css/index.css">
		<!-- GoogleFonts - OpenSans -->
		<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
		<!-- Fontawesome 5.0-->
		<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
		<script src="https://kit.fontawesome.com/01e6cc872a.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.15/jquery.mask.min.js"></script>
		<script type="text/javascript" src="js/jquery.mask.min.js"></script>
		<script type="text/javascript" src="../assets/js/mascara.js"></script>
		<script src="../assets/js/mascara.js"></script> <!-- Máscara dos formulários input-->
		<!-- Jquery -->
		<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"></script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
		<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
		<!-- toolbar-->
		<link href="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.css" rel="stylesheet">
		<script src="https://cdn.jsdelivr.net/npm/summernote@0.8.18/dist/summernote-bs4.min.js"></script>
	</head>



	<!-- Fim - Arquivos -->

	<body>
		<!-- Init of Template -  -->

		<div class="d-flex ">
			<nav class="sidebar">
				<ul class="list-unstyled">

					<!-- Image of Company -->

					<div class="image_company">
						<a href="../index.php">
							<img src="../assets/img/logo.png">
						</a>
					</div><br><br>

					<span class="text-center logo">
						ADMINISTRATIVO
					</span>
					<hr>

					<!-- End Img -->

					<!-- List of Menu and Icons -->

					<li><a href="../index.php"><i class="fa fa-home"></i> Início</a></li>

					<li><a href="../listarOrcamento.php"><i class="far fa-calendar-check"></i> Orçamento</a></li>

					<li><a href="../ordemServico.php"><i class="fas fa-concierge-bell"></i></i> Ordem de Serviço</a></li>

					<li><a href="../listarContratos.php"><i class="far fa-newspaper"></i> Contratos</a></li>

					<li><a href="../buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

					<li><a href="../buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

					<li><a href="../admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

					<!-- Button of Logoff -->

					<li><a href="../controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

					<!-- End - Button of Logoff -->

				</ul>
			</nav>
			<!-- End of Menu -->

			<!-- Iniciando Tabela -->
			<?php include '../error.php'; ?>

			<div class="content p-1">
				<div class="list-group-item" style="background-color: #eaeef3">

					<div class="mr-auto p-2">
						<h2 class="text-center"> EDIÇÃO DA ORDEM DE SERVIÇO </h2><br>
					</div>

					<br>
					<!-- Iniciando a Tabela -->

					<div class="container">
						<div class="text-left">
							<a class="btn btn-secondary" type="button" href="../index.php">Voltar</a>
						</div>

						<div class="table-responsive">
							<table class="table table-hover">
								<thead class="thead">

									<tr>
										<th>ID</th>
										<th>CLIENTE</th>
										<th>SERVICO</th>
										<th>TÉCNICO</th>
										<th>DATA</th>
										<th>STATUS</th>
										<th>AÇÕES</th>
									</tr>
								</thead>
								<tbody>
									<?php foreach ($os->pegarInfo($Recebe_Os) as $CarregaOs) : ?>
										<tr class="tr">

											<td><?php echo $CarregaOs['os']; ?></td>
											<td><?php echo $CarregaOs['fantasia']; ?></td>
											<td><?php echo $CarregaOs['servico1']; ?></td>
											<td><?php echo $CarregaOs['tecnico']; ?></td>
											<td><?php echo $CarregaOs['data_os']; ?></td>
											<td id="novoStatus" width=160><?php echo $CarregaOs['status_os']; ?></td>

											<!-- Botões de Ações -->

											<td>
												<form method="POST" action="../layoutOS.php" target="_blank">
													<input type="hidden" name="envia_Os" value="<?= $CarregaOs['os'] ?>">
													<input type="hidden" name="envia_cliente_id" value="<?= $CarregaOs['cliente'] ?>">

													<button type="button" class="btn btn-warning form_jquery_alterar_status" title="Alterar status">
														<i class="far fa-check-circle"></i>
													</button>

													<button type="button" class="btn btn-primary form_jquery_alterar" title="Alterar Ordem de Serviço">
														<i class="fas fa-random"></i>
													</button>

													<button class="btn btn-secondary" title="Imprimir Ordem de Serviço">
														<i class="fas fa-print"></i>
													</button>

													<button type="button" class="btn btn-danger form_jquery_retrabalho" title="Retrabalho">
														<i class="fa fa-refresh "></i>
													</button>

													<button type="button" class="btn btn-danger form_jquery_exclusao" title="Excluir">
														<i class="fa fa-trash "></i>
													</button>

													<!-- Fim - Botão -->
												</form>
											</td>

											<!-- Fim - Form de Transacao -->

										</tr>
									<?php endforeach; ?>
								</tbody>
							</table>

							<hr>


							<button type="button" class="btn btn-info form_jquery_reservatorioAgua">
								<i class="fas fa-arrow-alt-circle-right	 "></i>
							</button> CERTIFICADO DE DESINFECÇÃO DE RESERVATÓRIO D'ÁGUA

							<div class="reservatorioAgua">
								<form method="POST" action="../controller/transactionControllerInsertCertificado1.php">
									<input type="hidden" name="os" class="form-control" readonly value="<?php echo $CarregaOs['os'] ?>">
									<div class="form-group">
										<br>
										<label>Informe o vencimento do serviço executado:</label>
										<input type="date" name="vencimentoCertificado1" class="form-control" placeholder="Informe o vencimento do serviço executado" value="<?php echo $CarregaOs['vencimentoCertificado1']; ?>">
									</div>
									<br>

									<div class="form-group">
										<label>Histórico:</label>
										<textarea id="summernote" class="form-control" name="historicoCertificado1" rows="5"><?php echo $CarregaOs['historicoCertificado1']; ?></textarea>
									</div>

									<script>
										$(document).ready(function() {
											$('#summernote').summernote({
												height: 150,   
												disableDragAndDrop: true,
												fontSizeUnits: ['12', 'pt'],
												toolbar: [
													// [groupName, [list of button]]
													['style', ['bold']],
													['para', []],
													['view', []],
												]
												
											});
										});
									</script>


									<br>

									<table class="table " style="text-align: center;">
										<button class="btn btn-success">
											Salvar
										</button>
								</form>

								<form method="POST" action="../layoutCertificado1.php" target="_blank">
									<input type="hidden" name="envia_Os" value="<?= $CarregaOs['os'] ?>">
									<input type="hidden" name="envia_cliente_id" value="<?= $CarregaOs['cliente'] ?>">
									<button class="btn btn-primary" style="margin-left: 10px;">
										<i class="fas fa-print"></i>
									</button>
								</form>
								</table>
							</div>
							<hr>

							<button type="button" class="btn btn-info form_jquery_garantiaServico">
								<i class="fas fa-arrow-alt-circle-right	 "></i>
							</button> CERTIFICADO DE APLICAÇÃO E GARANTIA DE SERVIÇO

							<div class="garantiaServico">
								<form method="POST" action="../controller/transactionControllerInsertCertificado2.php">
									<input type="hidden" name="os" class="form-control" readonly value="<?php echo $CarregaOs['os'] ?>">
									<div class="form-group">
										<br>
										<label>Informe o vencimento do serviço executado:</label>
										<input type="date" name="vencimentoCertificado2" class="form-control" placeholder="Informe o vencimento do serviço executado" value="<?php echo $CarregaOs['vencimentoCertificado2']; ?>">
									</div>
									<br>
									<div class="form-group">
										<label>Informe a data do serviço executado:</label>
										<input type="date" name="historicoCertificado2" class="form-control" value="<?php echo $CarregaOs['historicoCertificado2']; ?>">
									</div>

									<br>

									<table class="table " style="text-align: center;">
										<button class="btn btn-success">
											Salvar
										</button>
								</form>

								<form method="POST" action="../layoutCertificado2.php" target="_blank">
									<input type="hidden" name="envia_Os" value="<?= $CarregaOs['os'] ?>">
									<input type="hidden" name="envia_cliente_id" value="<?= $CarregaOs['cliente'] ?>">
									<button class="btn btn-primary" style="margin-left: 10px;">
										<i class="fas fa-print"></i>
									</button>
								</form>
								</table>


							</div>


							<hr>

							<button type="button" class="btn btn-info form_jquery_limpezaGordura">
								<i class="fas fa-arrow-alt-circle-right	 "></i>
							</button> CERTIFICADO DE LIMPEZA DE RESERVATÓRIO DE GORDURA

							<div class="limpezaGordura">
								<form method="POST" action="../controller/transactionControllerInsertCertificado3.php">
									<input type="hidden" name="os" class="form-control" readonly value="<?php echo $CarregaOs['os'] ?>">
									<div class="form-group">
										<br>
										<label>Informe o vencimento do serviço executado:</label>
										<input type="date" name="vencimentoCertificado3" class="form-control" value="<?php echo $CarregaOs['vencimentoCertificado3']; ?>">
									</div>
									<br>
									<div class="form-group">
										<label>Informe a data do serviço executado:</label>
										<input type="date" name="historicoCertificado3" class="form-control" value="<?php echo $CarregaOs['historicoCertificado3']; ?>">
									</div>

									<br>

									<table class="table " style="text-align: center;">
										<button class="btn btn-success">
											Salvar
										</button>
								</form>

								<form method="POST" action="../layoutCertificado3.php" target="_blank">
									<input type="hidden" name="envia_Os" value="<?= $CarregaOs['os'] ?>">
									<input type="hidden" name="envia_cliente_id" value="<?= $CarregaOs['cliente'] ?>">
									<button class="btn btn-primary" style="margin-left: 10px;">
										<i class="fas fa-print"></i>
									</button>
								</form>
								</table>
							</div>

							<hr>

							<!-- Fim - Botão -->

							<!-- Fim - Tabela -->

							<form method="POST" action="../controller/transactionControllerAlterarStatusOs.php" style="font-weight: bold; font-style: italic;" class="formulario_alterar_status">
								<div class="container">
									<div class="" id="radioButton">

										<div class="form-row">
											<div class="col">
												<label>Alterar o status do cliente:</label>
												<input type="text" name="cliente" class="form-control" readonly value="<?php echo $CarregaOs['os'] ?>">
												<br>
												<label>Para:</label><br>
											</div>
										</div>

										<div class="form-check">
											<label class="form-check-label">
												<input type="radio" class="form-check-input" name="status_os" value="Aberta">Aberta
											</label>
										</div>
										<div class="form-check">
											<label class="form-check-label">
												<input type="radio" class="form-check-input" name="status_os" value="Concluída">Concluída
											</label>
										</div>
										<div class="form-check">
											<label class="form-check-label">
												<input type="radio" class="form-check-input" name="status_os" value="Desconsiderada">Desconsiderada
											</label>
										</div>
										<div class="form-check">
											<label class="form-check-label">
												<input type="radio" class="form-check-input" name="status_os" value="Retrabalho Concluído">Retrabalho Concluído
											</label>
										</div>
									</div>
								</div>

								<script type="text/javascript">
									$(document).ready(function novoStatus() {
										$("#radioButton").change(function() {
											if ($('input:radio:checked').val() == 'Aberta') {
												document.getElementById("novoStatus").innerHTML = 'Aberta';
											} else if ($('input:radio:checked').val() == 'Concluída') {
												document.getElementById("novoStatus").innerHTML = 'Concluída';
											} else if ($('input:radio:checked').val() == 'Desconsiderada') {
												document.getElementById("novoStatus").innerHTML = 'Desconsiderada';
											} else if ($('input:radio:checked').val() == 'Retrabalho Concluído') {
												document.getElementById("novoStatus").innerHTML = 'Retrabalho Concluído';
											}

										});
									});
								</script>
								<br>
								<button class="btn btn-danger btn-block">
									Atualizar Status da OS
								</button>
							</form>

							<!-- Formulario JQuery Alterar-->

							<form method="POST" action="../controller/transactionControllerAlterarOs.php" style="font-weight: bold; font-style: italic;" class="formulario_alterar">
								<div class="container">
									<input type="hidden" name="os" class="form-control" readonly value="<?php echo $CarregaOs['os'] ?>">

									<div class="form-row">

										<div class="col">
											<label>Nome Fantasia </label>
											<input type="text" name="fantasia" class="form-control" readonly value="<?php echo $CarregaOs['fantasia'] ?>">
										</div>
										<input type="hidden" name="cliente" class="form-control" readonly value="<?php echo $CarregaOs['cliente'] ?>">
									</div>
									<br>

									<div class="form-row">
										<div class="col">
											<label>Contato </label>
											<input type="text" name="contato" class="form-control" value="<?php echo $CarregaOs['contato'] ?>">
										</div>

										<br>
										<div class="col">
											<label>Técnico responsável</label>
											<input type="text" name="tecnico" class="form-control" value="<?php echo $CarregaOs['tecnico'] ?>">
										</div>
									</div>

									<br>

									<div class="form-row">
										<div class="col">
											<label>Data de abertura</label>
											<input type="text" id="dataAbertura" name="data_os" class="form-control dataAbertura" readonly value="<?php echo $CarregaOs['data_os'] ?>">
										</div>

										<div class="col">
											<label>Data de Início do serviço</label>
											<input type="text" id="dataServico" name="inicio_os" class="form-control" value="<?php echo $CarregaOs['inicio_os'] ?>">
											<script>
												$('#dataServico').datepicker({
													dateFormat: 'dd/mm/yy',
													dayNames: ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado'],
													dayNamesMin: ['D', 'S', 'T', 'Q', 'Q', 'S', 'S', 'D'],
													dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb', 'Dom'],
													monthNames: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
													monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
													nextText: 'Próximo',
													prevText: 'Anterior'
												});
											</script>
										</div>
										<div class="col">
											<label>Data da conclusão</label>
											<input type="text" id="dataConclusao" name="termino_os" class="form-control" value="<?php echo $CarregaOs['termino_os'] ?>">
											<script>
												$('#dataConclusao').datepicker({
													dateFormat: 'dd/mm/yy',
													dayNames: ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado'],
													dayNamesMin: ['D', 'S', 'T', 'Q', 'Q', 'S', 'S', 'D'],
													dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb', 'Dom'],
													monthNames: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
													monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
													nextText: 'Próximo',
													prevText: 'Anterior'
												});
											</script>
										</div>
										<div class="col">
											<label>Horário de agendamento</label>
											<input type="text" name="horaagendamento" class="form-control dataAbertura" placeholder="HH:mm" value="<?php echo $CarregaOs['horaagendamento'] ?>">
										</div>
										<div class="col">
											<label>Horário de conclusão</label>
											<input type="time" name="horaconclusao" class="form-control dataAbertura" placeholder="HH:mm">
										</div>
									</div>

									<br>


									<div class="row">
										<div class="col-sm">
											<label>Adicionar serviço</label> </a>

											<p><input type="text" name="servico1" class="form-control" value="<?php echo $CarregaOs['servico1'] ?>"></p>
											<p><input type="text" name="servico2" class="form-control" value="<?php echo $CarregaOs['servico2'] ?>"></p>
											<p><input type="text" name="servico3" class="form-control" value="<?php echo $CarregaOs['servico3'] ?>"></p>
											<p><input type="text" name="servico4" class="form-control" value="<?php echo $CarregaOs['servico4'] ?>"></p>

										</div>
										<div class="col-sm">
											<label>Pragas alvo</label></a>
											<p><input type="text" name="praga1" class="form-control" value="<?php echo $CarregaOs['praga1'] ?>"></p>
											<p><input type="text" name="praga2" class="form-control" value="<?php echo $CarregaOs['praga2'] ?>"></p>
											<p><input type="text" name="praga3" class="form-control" value="<?php echo $CarregaOs['praga3'] ?>"></p>
											<p><input type="text" name="praga4" class="form-control" value="<?php echo $CarregaOs['praga4'] ?>"></p>

										</div>

									</div>

									<div class="row">
										<div class="col-sm">
											<p><label>Produtos</label></p>
											<p><input type="text" name="produto1" class="form-control" value="<?php echo $CarregaOs['produto1'] ?>"></p>
											<p><input type="text" name="produto2" class="form-control" value="<?php echo $CarregaOs['produto2'] ?>"></p>
											<p><input type="text" name="produto3" class="form-control" value="<?php echo $CarregaOs['produto3'] ?>"></p>
											<p><input type="text" name="produto4" class="form-control" value="<?php echo $CarregaOs['produto4'] ?>"></p>
											<p><input type="text" name="produto5" class="form-control" value="<?php echo $CarregaOs['produto5'] ?>"></p>
											<p><input type="text" name="produto6" class="form-control" value="<?php echo $CarregaOs['produto6'] ?>"></p>
											<p><input type="text" name="produto7" class="form-control" value="<?php echo $CarregaOs['produto7'] ?>"></p>
											<p><input type="text" name="produto8" class="form-control" value="<?php echo $CarregaOs['produto8'] ?>"></p>

										</div>
										<div class="col-sm">
											<p><label>Dosagem</label></p>
											<p><input type="text" name="dosagem1" class="form-control" value="<?php echo $CarregaOs['dosagem1'] ?>"></p>
											<p><input type="text" name="dosagem2" class="form-control" value="<?php echo $CarregaOs['dosagem2'] ?>"></p>
											<p><input type="text" name="dosagem3" class="form-control" value="<?php echo $CarregaOs['dosagem3'] ?>"></p>
											<p><input type="text" name="dosagem4" class="form-control" value="<?php echo $CarregaOs['dosagem4'] ?>"></p>
											<p><input type="text" name="dosagem5" class="form-control" value="<?php echo $CarregaOs['dosagem5'] ?>"></p>
											<p><input type="text" name="dosagem6" class="form-control" value="<?php echo $CarregaOs['dosagem6'] ?>"></p>
											<p><input type="text" name="dosagem7" class="form-control" value="<?php echo $CarregaOs['dosagem7'] ?>"></p>
											<p><input type="text" name="dosagem8" class="form-control" value="<?php echo $CarregaOs['dosagem8'] ?>"></p>
										</div>
										<div class="col-sm">
											<p><label>Diluente</label></p>
											<p><input type="text" name="diluente1" class="form-control" value="<?php echo $CarregaOs['diluente1'] ?>"></p>
											<p><input type="text" name="diluente2" class="form-control" value="<?php echo $CarregaOs['diluente2'] ?>"></p>
											<p><input type="text" name="diluente3" class="form-control" value="<?php echo $CarregaOs['diluente3'] ?>"></p>
											<p><input type="text" name="diluente4" class="form-control" value="<?php echo $CarregaOs['diluente4'] ?>"></p>
											<p><input type="text" name="diluente5" class="form-control" value="<?php echo $CarregaOs['diluente5'] ?>"></p>
											<p><input type="text" name="diluente6" class="form-control" value="<?php echo $CarregaOs['diluente6'] ?>"></p>
											<p><input type="text" name="diluente7" class="form-control" value="<?php echo $CarregaOs['diluente7'] ?>"></p>
											<p><input type="text" name="diluente8" class="form-control" value="<?php echo $CarregaOs['diluente8'] ?>"></p>
										</div>
										<div class="col-sm">
											<p><label>Método</label></p>
											<p><input type="text" name="metodo1" class="form-control" value="<?php echo $CarregaOs['metodo1'] ?>"></p>
											<p><input type="text" name="metodo2" class="form-control" value="<?php echo $CarregaOs['metodo2'] ?>"></p>
											<p><input type="text" name="metodo3" class="form-control" value="<?php echo $CarregaOs['metodo3'] ?>"></p>
											<p><input type="text" name="metodo4" class="form-control" value="<?php echo $CarregaOs['metodo4'] ?>"></p>
											<p><input type="text" name="metodo5" class="form-control" value="<?php echo $CarregaOs['metodo5'] ?>"></p>
											<p><input type="text" name="metodo6" class="form-control" value="<?php echo $CarregaOs['metodo6'] ?>"></p>
											<p><input type="text" name="metodo7" class="form-control" value="<?php echo $CarregaOs['metodo7'] ?>"></p>
											<p><input type="text" name="metodo8" class="form-control" value="<?php echo $CarregaOs['metodo8'] ?>"></p>
										</div>
										<div class="col-sm">
											<p><label>Lote</label></p>
											<p><input type="text" name="lote1" class="form-control" value="<?php echo $CarregaOs['lote1'] ?>"></p>
											<p><input type="text" name="lote2" class="form-control" value="<?php echo $CarregaOs['lote2'] ?>"></p>
											<p><input type="text" name="lote3" class="form-control" value="<?php echo $CarregaOs['lote3'] ?>"></p>
											<p><input type="text" name="lote4" class="form-control" value="<?php echo $CarregaOs['lote4'] ?>"></p>
											<p><input type="text" name="lote5" class="form-control" value="<?php echo $CarregaOs['lote5'] ?>"></p>
											<p><input type="text" name="lote6" class="form-control" value="<?php echo $CarregaOs['lote6'] ?>"></p>
											<p><input type="text" name="lote7" class="form-control" value="<?php echo $CarregaOs['lote7'] ?>"></p>
											<p><input type="text" name="lote8" class="form-control" value="<?php echo $CarregaOs['lote8'] ?>"></p>
										</div>
									</div>

									<br>

									<div class="form-row">
										<div class="col">
											<label>Aplicação de componentes: </label>
											<input type="text" name="gel" class="form-control" placeholder="GEL" value="<?php echo $CarregaOs['gel'] ?>"> <br>
											<input type="text" name="pulverizacao" class="form-control" placeholder="PULVERIZAÇÃO" value="<?php echo $CarregaOs['pulverizacao'] ?>"> <br>
											<input type="text" name="polvilhamento" class="form-control" placeholder="POLVILHAMENTO" value="<?php echo $CarregaOs['polvilhamento'] ?>">
										</div>

										<br>
										<div class="col">
											<label>&emsp; </label>
											<input type="text" name="isca" class="form-control" placeholder="ISCA" value="<?php echo $CarregaOs['isca'] ?>"> <br>
											<input type="text" name="relatorio_os" class="form-control" placeholder="RELATORIO" value="<?php echo $CarregaOs['relatorio_os'] ?>">
										</div>
									</div>

									<br>

									<div class="form-group">
										<label>Observação</label>
										<textarea name="observacao_os" class="form-control" rows="4" value><?php echo $CarregaOs['observacao_os'] ?></textarea>
									</div>

								</div>

								<br>
								<button class="btn btn-danger btn-block">
									Efetuar Alteração
								</button>

						</div>
						</form>
						<!-- Fim - Formulario JQuery -->
					</div>

					<br>
					<!-- Inicio - Retrabalho - Formulario JQuery -->
					<form method="POST" action="../controller/transactionControllerInsertRetrabalho.php" style="font-weight: bold; font-style: italic;" class="formulario_alterar_retrabalho">
						<div class="container">

							<div class="form-row">
								<div class="col">
									<label>Status</label>
									<input type="text" name="status_os" class="form-control" readonly value="Retrabalho">
								</div>

								<div class="col">
									<label>Cliente</label>
									<input type="text" name="cliente" class="form-control" readonly value="<?php echo $CarregaOs['cliente'] ?>">
								</div>

								<br>
								<div class="col">
									<label>Técnico responsável</label>
									<input type="text" name="tecnico" class="form-control" value="<?php echo $CarregaOs['tecnico'] ?>">
								</div>
							</div>

							<br>
							<div class="form-row">
								<div class="col">
									<label>Nome Fantasia </label>
									<input type="text" name="fantasia" class="form-control" placeholder="" readonly value="<?php echo $CarregaOs['fantasia'] ?>">
								</div>
								<div class="col">
									<label>Endereço</label>
									<textarea type="text" name="endereco" rows="2" class="form-control" placeholder="" readonly value="<?php echo $CarregaOs['endereco'] ?>"></textarea>
								</div>
							</div>
							<br>

							<div class="form-row">
								<div class="col">
									<label>Nome do Contato </label>
									<input type="text" name="contato" class="form-control" readonly value="<?php echo $CarregaOs['contato'] ?>">
								</div>
								<div class="col">
									<label>Telefone para contato</label>
									<input type="text" name="telefone" rows="2" class="form-control" value="<?php echo $CarregaOs['telefone'] ?>">
								</div>
							</div>

							<br>

							<div class="form-row">
								<div class="col">
									<label>Data de abertura</label>
									<input type="text" id="dataAbertura" name="data_os" class="form-control dataAbertura" readonly value="<?php echo $CarregaOs['data_os'] ?>">
								</div>

								<div class="col">
									<label>Data de Início do serviço</label>
									<input type="text" id="dataServico" name="inicio_os" class="form-control">
									<script>
										$('#dataServico').datepicker({
											dateFormat: 'dd/mm/yy',
											dayNames: ['Domingo', 'Segunda', 'Terça', 'Quarta', 'Quinta', 'Sexta', 'Sábado'],
											dayNamesMin: ['D', 'S', 'T', 'Q', 'Q', 'S', 'S', 'D'],
											dayNamesShort: ['Dom', 'Seg', 'Ter', 'Qua', 'Qui', 'Sex', 'Sáb', 'Dom'],
											monthNames: ['Janeiro', 'Fevereiro', 'Março', 'Abril', 'Maio', 'Junho', 'Julho', 'Agosto', 'Setembro', 'Outubro', 'Novembro', 'Dezembro'],
											monthNamesShort: ['Jan', 'Fev', 'Mar', 'Abr', 'Mai', 'Jun', 'Jul', 'Ago', 'Set', 'Out', 'Nov', 'Dez'],
											nextText: 'Próximo',
											prevText: 'Anterior'
										});
									</script>
								</div>

								<div class="col">
									<label>Horário de agendamento</label>
									<input type="time" name="horaagendamento" class="form-control dataAbertura" placeholder="HH:mm" value="<?php echo $CarregaOs['horaagendamento'] ?>">
								</div>
							</div>

							<br>


							<div class="row">
								<div class="col-sm">
									<label>Adicionar serviço</label> </a>

									<p><input type="text" name="servico1" class="form-control" value="<?php echo $CarregaOs['servico1'] ?>"></p>
									<p><input type="text" name="servico2" class="form-control" value="<?php echo $CarregaOs['servico2'] ?>"></p>
									<p><input type="text" name="servico3" class="form-control" value="<?php echo $CarregaOs['servico3'] ?>"></p>
									<p><input type="text" name="servico4" class="form-control" value="<?php echo $CarregaOs['servico4'] ?>"></p>

								</div>
								<div class="col-sm">
									<label>Pragas alvo</label></a>
									<p><input type="text" name="praga1" class="form-control" value="<?php echo $CarregaOs['praga1'] ?>"></p>
									<p><input type="text" name="praga2" class="form-control" value="<?php echo $CarregaOs['praga2'] ?>"></p>
									<p><input type="text" name="praga3" class="form-control" value="<?php echo $CarregaOs['praga3'] ?>"></p>
									<p><input type="text" name="praga4" class="form-control" value="<?php echo $CarregaOs['praga4'] ?>"></p>

								</div>

							</div>

							<div class="row">
								<div class="col-sm">
									<p><label>Produtos</label></p>
									<p><input type="text" name="produto1" class="form-control" value="<?php echo $CarregaOs['produto1'] ?>"></p>
									<p><input type="text" name="produto2" class="form-control" value="<?php echo $CarregaOs['produto2'] ?>"></p>
									<p><input type="text" name="produto3" class="form-control" value="<?php echo $CarregaOs['produto3'] ?>"></p>
									<p><input type="text" name="produto4" class="form-control" value="<?php echo $CarregaOs['produto4'] ?>"></p>

								</div>
								<div class="col-sm">
									<p><label>Dosagem</label></p>
									<p><input type="text" name="dosagem1" class="form-control" value="<?php echo $CarregaOs['dosagem1'] ?>"></p>
									<p><input type="text" name="dosagem2" class="form-control" value="<?php echo $CarregaOs['dosagem2'] ?>"></p>
									<p><input type="text" name="dosagem3" class="form-control" value="<?php echo $CarregaOs['dosagem3'] ?>"></p>
									<p><input type="text" name="dosagem4" class="form-control" value="<?php echo $CarregaOs['dosagem4'] ?>"></p>
								</div>
								<div class="col-sm">
									<p><label>Diluente</label></p>
									<p><input type="text" name="diluente1" class="form-control" value="<?php echo $CarregaOs['diluente1'] ?>"></p>
									<p><input type="text" name="diluente2" class="form-control" value="<?php echo $CarregaOs['diluente2'] ?>"></p>
									<p><input type="text" name="diluente3" class="form-control" value="<?php echo $CarregaOs['diluente3'] ?>"></p>
									<p><input type="text" name="diluente4" class="form-control" value="<?php echo $CarregaOs['diluente4'] ?>"></p>
								</div>
								<div class="col-sm">
									<p><label>Método</label></p>
									<p><input type="text" name="metodo1" class="form-control" value="<?php echo $CarregaOs['metodo1'] ?>"></p>
									<p><input type="text" name="metodo2" class="form-control" value="<?php echo $CarregaOs['metodo2'] ?>"></p>
									<p><input type="text" name="metodo3" class="form-control" value="<?php echo $CarregaOs['metodo3'] ?>"></p>
									<p><input type="text" name="metodo4" class="form-control" value="<?php echo $CarregaOs['metodo4'] ?>"></p>
								</div>
							</div>

							<br>

							<div class="form-group">
								<label>Observações</label>
								<textarea class="form-control" name="observacao_os" rows="3"></textarea>
							</div>

							<br>
							<button class="btn btn-danger btn-block">
								Registrar Retrabalho
							</button>

						</div>
					</form>

					<!-- Fim - Formulario JQuery -->

					<form method="POST" action="../controller/transactionControllerDeleteOS.php" style="font-weight: bold; font-style: italic;" class="formulario_exclusao">

						<div class="container">
							<h4>
								<strong>
									Exclusão de Ordem de Serviço
								</strong>
							</h4><br>

							<div class="form-row">

								<div class="col-md-4">
									<br>Informe o id da OS que deseja excluir:
									<input type="text" name="os1" class="form-control">
								</div>

								<div class="col-md-4">
									<br>&nbsp;
									<button class="btn btn-danger btn-block">
										Efetuar Exclusão
									</button>
								</div>

							</div>
						</div>

					</form><br>

					<!-- Fim - Formulario JQuery -->
				</div>
			</div>
		</div>
	</body>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.js"> </script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"> </script>
	<script type="text/javascript" src="../assets/js/script_alterar.js"></script>
	<script type="text/javascript" src="../assets/js/script_alterar_status.js"></script>
	<script type="text/javascript" src="../assets/js/script_exclusao.js"></script>
	<script type="text/javascript" src="../assets/js/script_inserir.js"></script>
	<script type="text/javascript" src="../assets/js/script_alterar_retrabalho.js"></script>
	<script type="text/javascript" src="../assets/js/script_certificados.js"></script>

<?php } else {
} ?>