<!-- PHP - Incluindo Arquivos Necessarios -->
<?php

session_start();

if (isset($_SESSION['login'])) {

	include_once "../model/conexao.class.php";
	include_once "../model/praga.class.php";

	$praga = new Praga();
	$idPraga = ($_POST['idPraga']);

?>

	<!-- Fim - PHP -->

	<!-- HTML -Incluindo Arquivos CSS3, Bootstrap 4, etc -->

	<!DOCTYPE html>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<!-- Favicon -->
	<link rel="shortcut icon" href="../assets/img/icon.jpg">
	<title>Intranet MBM - Gerenciamento de Praga</title>
	<!-- Bootstrap 4 -->
	<link rel="stylesheet" type="text/css" href="../assets/css/bootstrap/bootstrap.min.css">
	<!-- CSS da INDEX -->
	<link rel="stylesheet" href="../assets/css/index.css">
	<!-- GoogleFonts - OpenSans -->
	<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
	<!-- Fontawesome 5.0-->
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
	<script src="https://kit.fontawesome.com/01e6cc872a.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.15/jquery.mask.min.js"></script>
	<script type="text/javascript" src="js/jquery.mask.min.js"></script>
	<script src="../assets/js/mascara.js"></script> <!-- Máscara dos formulários input-->

	<!-- Fim - Arquivos -->
	<!-- Init of Template -  -->

	<div class="d-flex">
		<nav class="sidebar">
			<ul class="list-unstyled">

				<!-- Image of Company -->

				<div class="image_company">
				<a href="index.php">
						<img src="../assets/img/logo.png">
					</a>
				</div><br><br>

				<span class="text-center logo">
					ADMINISTRATIVO
				</span>
				<hr>

				<!-- End Img -->

				<!-- List of Menu and Icons -->

				<li><a href="../index.php"><i class="fa fa-home"></i> Ordem de Serviço</a></li>

				<li><a href="../buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

				<li><a href="../buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

				<li><a href="../admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

				<!-- Button of Logoff -->

				<li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

				<!-- End - Button of Logoff -->

			</ul>
		</nav>

		<!-- End of Menu -->
		<!-- Iniciando Tabela -->

		<div class="content p-1">
			<div class="list-group-item" style="background-color: #eaeef3">

				<div class="mr-auto p-2">
					<h2 class="text-center"> Gerenciamento de Praga - Edição </h2><br>
				</div>

				<div class="text-left">
					<a class="btn btn-secondary" type="button" href="../listarPraga.php">Voltar</a>
				</div>

				<br>
				<!-- Iniciando a Tabela -->

				<div class="table-responsive">
					<table class="table table-hover">
						<thead class="thead">

							<tr>
								<th>ID</th>
                                <th>DESCRIÇÃO</th>
                                <th>EDITAR</th>
							</tr>
						</thead>
						<tbody>
							<?php foreach ($praga->pegarInfo($idPraga) as $listapraga) : ?>
								<tr class="tr">
									
									<td><?php echo $listapraga['idPraga']; ?></td>
									<td><?php echo $listapraga['descricaoPraga']; ?></td>
									<!-- Botões de Ações -->

									<td>
										<button class="btn btn-primary form_jquery_alterar">
											<i class="fas fa-random"></i>
										</button>

									</td>

									<!-- Fim - Form de Transacao -->

								</tr>
							<?php endforeach; ?>
						</tbody>
					</table>
					<hr>

					<!-- Fim - Tabela -->

					<!-- Formulario JQuery Alterar-->

					<form method="POST" action="../controller/transactionControllerAlterarPraga.php" style="font-weight: bold; font-style: italic;" class="formulario_alterar">
					<div class="container">
                            <div class="form-row ">
							<div class="col ">
                                    <label>ID</label>
                                    <input type="text" name="idPraga" class="form-control" readonly value=" <?= $listapraga['idPraga'] ?>">
                                </div>
                                <br>
                                <div class="col ">
                                    <label>Descrição</label>
                                    <input type="text" name="descricaoPraga" class="form-control" value=" <?= $listapraga['descricaoPraga'] ?>">
                                </div>
                                <br>
                            </div>
                            <div class="form-row">
                                <div class="col">
                                    <br>
                                    <button class="btn btn-primary float-right">
                                        Alterar dados da Praga</i>
                                    </button>
                                </div>
                            </div>
                        </div>
				</div>
			</div>

			</form><br>

			<!-- Fim - Formulario JQuery -->

			<!-- Formulario JQuery Excluir-->


			<!-- Fim - Formulario JQuery -->

			<!-- Formulario JQuery Inserir

		<form method="POST" action="../controller/transactionControllerInsertCliente.php" style="font-weight: bold; font-style: italic;" class="formulario_inserir">

			<div class="container">

				<div class="form-row">
					<div class="col">
						<label>Razão Social</label>
						<input type="text" name="nomecliente" class="form-control" placeholder="EXEMPLO LTDA">
					</div>
					<div class="col">
						<label>Código</label>
						<input type="text" name="codcliente" class="form-control" placeholder="9999" required>
					</div>
				</div>

				<br>

				<div class="form-row">
					<div class="col">
						<label>CNPJ</label>
						<input type="text" maxlength="18" name="cnpj" class="form-control" placeholder="00.000.000/0000-00" onkeypress="if (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mCNPJ )">

					</div>
					<div class="col">
						<label>NIRE</label>
						<input type="text" name="nire" class="form-control" placeholder="9999999">
					</div>
				</div>

				<form>
					<br>

					<div class="form-row">
						<div class="col">
							<label>Inscrição Estadual</label>
							<input type="text" name="estadual" class="form-control" id="exampleFormControlInput1" placeholder="Inscrição Estadual">
						</div>
						<div class="col">
							<label>Inscrição Municipal</label>
							<input type="text" name="municipal" class="form-control" placeholder="Inscrição Municipal">
						</div>
					</div>

					<br>

					<div class="form-row">
						<div class="col">
							<label>Telefone </label>
							<input type="text" maxlength="13" name="telefone1" class="form-control" placeholder="Responsável" onkeypress="if (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mTel )">

						</div>
						<div class="col">
							<label>Telefone Secundário</label>
							<input type="text" maxlength="13" name="telefone2" class="form-control" placeholder="Responsável" onkeypress="if (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mTel )">

						</div>
					</div>

					<br>

					<div class="form-row">
						<div class="col">
							<label>Celular Principal</label>
							<input type="text" maxlength="14" name="celular1" class="form-control" placeholder="Responsável" onkeypress="if (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mTel )">

						</div>
						<div class="col">
							<label>Celular Secundário</label>
							<input type="text" maxlength="14" name="celular2" class="form-control" placeholder="Responsável" onkeypress="if (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mTel )">

						</div>
					</div>

					<br>

					<div class="form-row">
						<div class="col">
							<label>E-mail</label>
							<input type="text" name="emailcliente" class="form-control" id="exampleFormControlInput1" placeholder="modelo@modelo.com.br" required>
						</div>
					</div>

					<br>

					<div class="form-row">
						<div class="col">
							<label>Início da Contabilidade</label>
							<input type="text" data-mask="00/00/0000" name="iniciocontab" class="form-control" placeholder="99/99/9999" onkeypress="if (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;">

						</div>
						<div class="col">
							<label>Responsável</label>
							<input type="text" name="respcontab" class="form-control" placeholder="Responsável">
						</div>
						<div class="col">
							<label>CPF/CNPJ do Responsável</label>
							<input type="text" maxlength="18" name="respcpfcnpj" class="form-control" placeholder="Responsável" onkeypress="if (!isNaN(String.fromCharCode(window.event.keyCode))) return true; else return false;" onkeydown="javascript: fMasc( this, mCNPJ )">

						</div>
					</div>
					<div class="form-row">
						<div class="col-md-3">
							<br><button class="btn btn-danger btn-block">
								Efetuar Alteração <i class="fas fa-biohazard"></i></i>
							</button>
						</div>
					</div>

			</div>


	</div>

	</form><br>

	Fim - Formulario JQuery -->



		</div>
	</div>
	</div>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.js"> </script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"> </script>
	<script type="text/javascript" src="../assets/js/jquery-3.3.1.min.js"></script>
	<script type="text/javascript" src="../assets/js/script_alterar.js"></script>
	<script type="text/javascript" src="../assets/js/script_exclusao.js"></script>
	<script type="text/javascript" src="../assets/js/script_inserir.js"></script>

<?php } else {
} ?>