<!-- PHP - Incluindo Arquivos Necessarios -->
<?php

session_start();

if (isset($_SESSION['login'])) {

	include_once "../model/conexao.class.php";
	include_once "../model/produto.class.php";

	$produto = new Produto();
	$idproduto = ($_POST['idproduto']);
	$hisprodesc = ($_POST['descricao'])

?>

	<!-- Fim - PHP -->


	<!-- HTML -Incluindo Arquivos CSS3, Bootstrap 4, etc -->
	<!DOCTYPE html>
	<html lang="pt-br">

	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<!-- Favicon -->
	<link rel="shortcut icon" href="../assets/img/icon.jpg">
	<title>Intranet MBM - Gerenciamento de Cliente</title>
	<!-- Bootstrap 4 -->
	<link rel="stylesheet" type="text/css" href="../assets/css/bootstrap/bootstrap.min.css">
	<!-- CSS da INDEX -->
	<link rel="stylesheet" href="../assets/css/index.css">
	<!-- GoogleFonts - OpenSans -->
	<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
	<!-- Fontawesome 5.0-->
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.1.0/css/all.css" integrity="sha384-lKuwvrZot6UHsBSfcMvOkWwlCMgc0TaWr+30HWe3a4ltaBwTZhyTEggF5tJv8tbt" crossorigin="anonymous">
	<script src="https://kit.fontawesome.com/01e6cc872a.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.15/jquery.mask.min.js"></script>
	<script type="text/javascript" src="js/jquery.mask.min.js"></script>
	<script src="../assets/js/mascara.js"></script> <!-- Máscara dos formulários input-->
	<link href="//cdn.datatables.net/1.10.15/css/jquery.dataTables.min.css" rel="stylesheet">
	<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
	<script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/js/bootstrap.min.js"></script>

	<!-- Fim - Arquivos -->
	<!-- Init of Template -  -->

	<body>
		<div class="d-flex">
			<nav class="sidebar">
				<ul class="list-unstyled">

					<!-- Image of Company -->

					<div class="image_company">
						<a href="index.php">
							<img src="../assets/img/logo.png">
						</a>
					</div><br><br>

					<span class="text-center logo">
						ADMINISTRATIVO
					</span>
					<hr>

					<!-- End Img -->

					<!-- List of Menu and Icons -->

					<li><a href="../index.php"><i class="fa fa-home"></i> Ordem de Serviço</a></li>

					<li><a href="../buscarCliente.php"><i class="fas fa-paste"></i> Buscar Cliente </a></li>

					<li><a href="../buscarProduto.php"><i class="fas fa-dolly-flatbed"></i> Buscar Produto</a></li>

					<li><a href="../admin.php"><i class="fas fa-user-lock"></i> Admin</a></li>

					<!-- Button of Logoff -->

					<li><a href="controller/logout.php"><i class="fas fa-sign-out-alt"></i> Sair</a></li>

					<!-- End - Button of Logoff -->

				</ul>
			</nav>

			<!-- End of Menu -->
			<!-- Iniciando Tabela -->

			<div class="content p-1">
				<div class="list-group-item" style="background-color: #eaeef3">

					<div class="mr-auto p-2">
						<h2 class="text-center"> Gerenciamento de Produto - Edição <i class="fas fa-biohazard"></i></h2><br>
					</div>

					<div class="text-left">
						<a class="btn btn-secondary" type="button" href="../listarProduto.php">Voltar</a>
					</div>

					<br>
					<!-- Iniciando a Tabela -->

					<div class="table-responsive">
						<table class="table table-hover">
							<thead class="thead">

								<tr>
									<th>ID</th>
									<th>DESCRIÇÃO</th>
									<th>QUANTIDADE</th>
									<th>LOTE</th>
									<th>EDITAR</th>
								</tr>
							</thead>
							<tbody>
								<?php foreach ($produto->pegarInfo($idproduto) as $listaproduto) : ?>
									<tr class="tr">

										<td><?php echo $listaproduto['idProduto']; ?></td>
										<td><?php echo $listaproduto['descricao']; ?></td>
										<td><?php echo $listaproduto['qtdInicial']; ?></td>
										<td><?php echo $listaproduto['lote']; ?></td>

										<!-- Botões de Ações -->

										<td>

											<button class="btn btn-warning form_jquery_listar_registros">
												<i class="far fa-file-alt"></i>
											</button>

											<button class="btn btn-primary form_jquery_alterar">
												<i class="fas fa-random"></i>
											</button>

										</td>

										<!-- Fim - Form de Transacao -->

									</tr>
								<?php endforeach; ?>
							</tbody>
						</table>
						<hr>

						<!-- Fim - Tabela -->

						<!-- Formulario JQuery Consultar Histórico-->

						<div class="container">
							<form class="formulario_listar_registros">
								<table class="responsive sortable">
									<table id="tabelaHistorico" class="table table-hover">
										<thead class="thead" id="azulEscuro">
											<tr>
												<th>DESCRIÇÃO</th>
												<th>QUANTIDADE</th>
												<th>LOTE</th>
												<th>STATUS</th>
											</tr>
										</thead>
										<tbody id="myTable">

											<?php foreach ($produto->pegarInfoHistorico($hisprodesc) as $listahistorico) : ?>
												<tr class="tr" id="trBranca">

													<td><?php echo $listahistorico['hisprodesc']; ?></td>
													<td><?php echo $listahistorico['hisproquant']; ?></td>
													<td><?php echo $listahistorico['hisprolote']; ?></td>
													<td><?php echo $listahistorico['hisstatus']; ?></td>

												</tr>
											<?php endforeach; ?>

										</tbody>
									</table>
								</table>
							</form>
						</div>

						<!-- Formulario JQuery Alterar-->

						<form method="POST" action="../controller/transactionControllerAlterarProduto.php" style="font-weight: bold; font-style: italic;" class="formulario_alterar">
							<div class="container">
								<div class="form-row ">
									<div class="col ">
										<label>ID</label>
										<input type="text" name="idProduto" class="form-control" readonly value="<?= $listaproduto['idProduto'] ?>">
									</div>


									<div class="col ">
										<label>Descrição</label>
										<input type="text" name="descricao" class="form-control" value="<?= $listaproduto['descricao'] ?>">
									</div>


									<div class="col">
										<label>Lote</label>
										<input type="text" name="lote" class="form-control" value="<?= $listaproduto['lote'] ?>">
									</div>
								</div>

								<br>

								<div class="form-row ">
									<div class="col">
										<label>Quantidade</label>
										<input type="text" name="qtdInicial" class="form-control" onkeypress="return event.charCode >= 48 && event.charCode <= 57">
									</div>

									<div class="col">
										<label>Tipo de movimentação</label>
										<select class=" browser-default custom-select" name="hisstatus">
											<option selected>Selecione</option>
											<option value="Entrada">Entrada</option>
											<option value="Saída">Saída</option>
										</select>
									</div>
								</div>

								<div class="form-row">
									<div class="col">
										<br>
										<button class="btn btn-primary float-right">
											Alterar Estoque do Produto</i>
										</button>

									</div>
								</div>
							</div>
					</div>
				</div>

				</form><br>
				<script>
					$(document).ready(function() {
						$('#tabelaHistorico').DataTable({
							"dom": '<lf<t>ip>',
							"searching": false,
							"lengthChange": false,
							"language": {
								"search": "Pesquisar:",
								"lengthMenu": "Mostrando _MENU_ registros por página",
								"zeroRecords": "Nada encontrado",
								"info": "Mostrando página _PAGE_ de _PAGES_",
								"infoEmpty": "Nenhum registro disponível",
								"infoFiltered": "(filtrado de _MAX_ registros no total)",
								"paginate": {
									"previous": "Anterior",
									"next": "Próximo",
								}
							}
						});
					});
				</script>


			</div>
		</div>
		</div>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.js"> </script>
		<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.mask/1.14.16/jquery.mask.min.js"> </script>
		<script type="text/javascript" src="../assets/js/script_alterar.js"></script>
		<script type="text/javascript" src="../assets/js/script_listar_registros.js"></script>
		<script src="//cdn.datatables.net/1.10.15/js/jquery.dataTables.min.js"></script>

	</body>

	</html>

<?php } else {
} ?>